(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 18, L0, nowordwrap, nohscroll, bold;
	fontset = subtitle, "Times New Roman", 10, L0, nowordwrap, nohscroll;
	fontset = subsubtitle, "Times New Roman", 10, L0, nowordwrap, nohscroll;
	fontset = section, "Arial", 14, L0, nowordwrap, nohscroll, bold;
	fontset = subsection, "Arial", 14, L0, nowordwrap, nohscroll, bold, blackBox;
	fontset = subsubsection, "Arial", 9, L0, nowordwrap, nohscroll, bold, whiteBox;
	fontset = text, "Times New Roman", 11, L0, nohscroll;
	fontset = smalltext, "Times New Roman", 10, L0, nowordwrap, nohscroll;
	fontset = input, "Times New Roman", 10, L0, nowordwrap, B65535;
	fontset = output, "Times New Roman", 10, L0, nowordwrap, R6168, G15934, B40863;
	fontset = message, "Times New Roman", 10, L0, nowordwrap, R65535;
	fontset = print, "Times New Roman", 10, L0, nowordwrap;
	fontset = info, "Times New Roman", 10, L0, nowordwrap;
	fontset = postscript, "Times New Roman", 10, L0, nowordwrap;
	fontset = name, "Times New Roman", 10, L0, nohscroll;
	fontset = header, "Times New Roman", 10, L0;
	fontset = footer, "Times New Roman", 10, L0;
	fontset = help, "Arial", 9, L0, nohscroll, bold;
	fontset = clipboard, "Arial", 9, L0, bold;
	fontset = completions, "Arial", 9, L0, nowordwrap, bold;
	fontset = graphics, "Arial", 9, L0, nowordwrap, nohscroll, bold;
	fontset = special1, "Arial", 9, L1, nowordwrap, bold;
	fontset = special2, "Arial", 9, L0, nowordwrap, bold, blackBox;
	fontset = special3, "Arial", 9, L0, center, nowordwrap, bold;
	fontset = special4, "Arial", 9, L0, right, nowordwrap, bold;
	fontset = special5, "Arial", 9, L0, center, nowordwrap, bold;
	fontset = leftheader, "Arial", 9, L0, nohscroll, bold;
	fontset = leftfooter, "Arial", 9, L0, center, bold;
	fontset = reserved1, "Arial", 9, L0, nowordwrap, nohscroll, bold;]
:[font = title; inactive; startGroup; nowordwrap; nohscroll; ]
Using MathReader
the Mathematica Notebook Reader

:[font = text; inactive; preserveAspect; nohscroll; ]
Mathematica stores information in a kind of document called a "notebook".  The document you are now reading is itself a Mathematica notebook.  You can read notebooks with MathReader, the Mathematica notebook reader.

Mathematica notebooks are usually divided into sections.  When you first open a notebook, you are usually shown only the headings for the sections.  MathReader allows you to "open up" the sections to see the material inside them. To do this, simply double-click the angled bracket  that encloses each section.
:[font = special1; formatted; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 424; pictureHeight = 210; nowordwrap; ]
:[font = text; inactive; preserveAspect; nohscroll; ]

The rest of this notebook tells you more about notebooks, and about how to use MathReader. To read the other sections of this notebook, open them by double-clicking their brackets.
:[font = subsection; inactive; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Notebooks and MathReader
:[font = subsubsection; inactive; preserveAspect; nowordwrap; nohscroll; ]
 What are Notebooks?
 
:[font = text; inactive; preserveAspect; nohscroll; ]
Notebooks are a form of interactive document supported by Mathematica.  A notebook contains text and graphics, together with Mathematica input and output.  Notebooks can also include "movies": animated graphics created by Mathematica, or imported from other programs.

To use a notebook in Mathematica, you read the text, look at the graphics (still or animated), and execute the Mathematica input.
:[font = subsubsection; inactive; preserveAspect; nowordwrap; nohscroll; ]
 What is MathReader?

:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
MathReader is a program that allows you to look at Mathematica notebooks.  With MathReader, you can read the text, and view the graphics and movies in any notebook produced by Mathematica.

MathReader does not, however, allow you to create or edit notebooks, nor does it allow you to execute Mathematica input.  To do these things you need a full copy of Mathematica.  Information on how to get one is given in the section below entitled "Buying Mathematica."

An important advantage of MathReader is that it is a relatively small program, which runs on computers that do not have enough memory to run Mathematica.

You may give away copies of MathReader.  Please see the section "Distributing MathReader" for information on distribution policies.
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 The Structure of Notebooks
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]

A Mathematica notebook consists of a sequence of "cells", each of which can contain text, graphics, or Mathematica input or output.  The extent of a cell is indicated by a bracket (shown in blue on color systems) on the right-hand side of the window.

The cells in a notebook are usually arranged in groups, whch are analogous to the sections and chapters of a printed document.  The first cell of a group customarily contains a heading for the section of the notebook represented by that group.

The grouping is indicated by additional brackets on the right-hand side of the window; the bracket for a group encloses the brackets of the cells in that group.  Sophisticated notebooks often contain several levels of hierarchical organization, indicated by several levels of brackets.

A group of cells may be open or closed.  When a group is open, all the cells in the group are displayed, but when it is closed only the first cell, which contains the group heading, is visible.  The presence of the remaining cells is indicated by a horizontal rectangle just inside the heading cell's bracket; the rectangle's width is proportional to the number of cells in the group.  In addition, the bracket of a closed group is angled at the bottom.

Highly-structured Mathematica notebooks are usually stored with all groups closed.  When you open such a notebook you see just its group heading cells, which form an outline of the contents of the notebook.

You can open a closed group of cells by double-clicking the group's enclosing bracket (the one with an angle on the bottom).  When you have a group of cells open, you can close it again by double-clicking the bracket that spans the group.

Another way to open or close a group of cells is to select the group (by clicking its bracket) and then choose the "Closed Group" command in the "Cells" menu.  This command will open a closed group and close an open group.  If you want to open or close a group and all its subgroups at once, choose the "Open All Subgroups" or "Close All Subgroups" command, also in the "Cells" menu.
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Animated Graphics
:[font = text; inactive; preserveAspect; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]

MathReader allows you to view "movies" generated by Mathematica.  A movie is a sequence of frames displayed in quick succession.  Each frame in a Mathematica movie is a graphics cell; a movie is a group of graphics cells.

There are two steps in viewing a movie: you select the movie you wish to see (a single notebook may contain several), and you give the command to begin the animation.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Selecting the Movie
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
To view a movie, you must first select it by clicking (once) the bracket that spans the group containing the frames of the movie.

Often the movie group will be closed, so that only the first frame is visible.  In this case, the group's bracket has an angle at the bottom.  Simply click this bracket, you do not have to open the group to be able to see the movie.

You should be sure to click the correct bracket.  Clicking the innermost bracket would select only a single frame, and clicking a bracket too far to the right might select several movies at once.  Neither of these would produce the desired animation effect.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Animating the Movie
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
Once you have selected the group of cells that make up the movie, you can start the movie by choosing the "Animate Selected Graphics" command in the "Graph" menu.  You can stop the movie by clicking anywhere inside the window.

Mathematica shows a movie in the cell which contains the movie's first frame.  Movies in notebooks are often stored as closed groups, so that only this first cell is visible.

You can control the speed and direction of a Mathematica movie as it runs by clicking the palette of buttons that will appear in the lower left corner of the window.  The first three buttons control the direction of the animation: Backward, Back and Forth, and Forward.  The middle button is a pause button, and the last two buttons control the speed: Slower and Faster.
:[font = text; inactive; nohscroll; ]
Here is a simple example animation in Mathematica, a moving sine wave.
:[font = input; nowordwrap; ]
Do[Plot[Sin[n x], {x, 0, 2Pi}], {n, 1, 3, 1/8}]
:[font = postscript; inactive; output; startGroup; Cclosed; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = postscript; inactive; output; endGroup; endGroup; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = subsection; inactive; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Buying Mathematica
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Mathematica for Microsoft Windows
:[font = text; inactive; preserveAspect; endGroup; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
There are two versions of Mathematica for Windows:

	* Standard Version (386 or higher CPU required; does not utilize numeric
	   coprocessor)
	* Enhanced Version (386 or higher CPU required; utilizes numeric coprocessor if 	   available)

Mathematica for Windows requires:

	* Windows 3.1 or later
	* A 386-based or higher CPU
	* 4 MB of RAM plus 8 MB or more of available swap space
           (8 MB of RAM plus 14 MB of swap space are recommended)
	* 13 MB of available disk space for full installation


Mathematica for Windows provides a notebook user interface, supports sound with a sound card (e.g., SOUNDBLASTER), or under MS Windows 3.1, and supports all printers and graphics cards supported by Windows 3.1.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Mathematica for MS-DOS Systems
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
There are two versions of Mathematica for MS-DOS systems:

	* Standard Version (386 or higher CPU required; does not utilize numeric
	   coprocessor)
	* Enhanced Version (386 or higher CPU with numeric coprocessor required)

Memory requirements:
	* 640 KB of memory and 4 MB of extended memory 
	* 12 MB of hard disk space
	* An additional 16 MB of hard disk space are recommended for virtual memory

Supported video cards: 
	* CGA
	* EGA
	* VGA
	* MCGA
	* IBM 8514
	* AT&T VDC 750
	* Hercules

Supported printers:
	* HP LaserJet Series II and compatibles
	* IBM Proprinter and compatibles
	* IBM Quickwriter 5204 series and compatibles
	* PostScript
	* LaserJet
	* Epson FX/LQ
	* Toshiba P3 printers

MS-DOS Mathematica provides DOS-style editing capabilities, but does not support the Mathematica notebook interface.
:[font = subsubsection; inactive; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Mathematica for the NEC PC (9801 Series)
:[font = text; inactive; endGroup; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Mathematica for the NEC PC runs on all NEC PC 9801 computers.  It takes advantage of a numeric coprocessor when available.  Otherwise, it uses floating-point emulation.

System requirements:
	* 640 KB of regular memory
	* 4 MB of extended memory
	* 12 MB of hard disk space
	* An additional 16 MB of hard disk space are recommended for virtual memory
	* MS-DOS version 3.0 or higher (version 5.0 or higher for the 9801RA)
	* Normal or high resolution display
	* Numeric coprocessor (optional)

Supported printers:
	* NEC PR series
	* Epson P-code
	* HP LaserJet Series II and compatibles
	* IBM Proprinter and compatibles
	* IBM Quickwriter 5204 series and compatibles
	* PostScript
	* Epson FX/LQ
	* Toshiba P3

Mathematica for the NEC PC provides DOS-style editing abilities, but does not support Mathematica notebooks.

Mathematica for the NEC PC includes Japanese language versions of Mathematica: A System for Doing Mathematics by Computer and Mathematica User's Guide.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Mathematica for the Macintosh
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
There are two versions of Mathematica for Macintosh computers:

	* Standard Version
	* Enhanced Version (includes a version accelerated for Power Macintosh)

The Standard Version does not require floating-point hardware; it will run on any Macintosh which has sufficient RAM and disk space.  The Enhanced Version, which is optimized to do floating-point operations more quickly, requires a 68020 or higher CPU and takes advantage of a numeric coprocessor when present.  The Enhanced Version also includes a separate binary for use without a numeric coprocessor, and a separate binary for use on the Power Macintosh.

6 MB of application memory are required.  10 MB are recommended.
(Utilizes numeric coprocessor and virtual memory if available.)
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Mathematica Versions
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
Mathematica is available in the following versions:

Multi-User Systems:
	* DEC -- Alpha OSF/1, RISC Ultrix, VAX/VMS (network license not available for                        VMS)
	* HP Apollo -- 680x0, RISC
	* IBM -- RISC System/6000
	* MIPS -- RISComputers and RISCstations
	* NEC -- EWS 4800
	* NEXTSTEP -- Intel and Motorola-based computers
	* Silicon Graphics -- IRIS systems
	* Sony -- NEWS RISC
	* Sun -- SunOS and Solaris on SPARC-based systems

Supercomputer Systems:
	* Convex -- C series

Single-machine and network licenses are available for multi-user systems.  Network licenses are available for supercomputer systems.  Educational and student discounts are available.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Where to Get Mathematica 
:[font = text; inactive; preserveAspect; nohscroll; ]
For further information on Mathematica, visit your local software dealer, or contact Wolfram Research. 
:[font = text; inactive; preserveAspect; nohscroll; ]

Wolfram Research, Inc.
100 Trade Center Drive
Champaign, IL 61820-7237
USA
1-800-441-MATH (U.S., Canada)
217 398 0700 
fax: 217 398 0747
email: info@wri.com
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
European inquiries:

Wolfram Research Europe, Ltd.
Evenlode Court
Main Road
Long Hanborough
Oxon OX8 2LA
UNITED KINGDOM
+44-(0)993-883400
fax: +44-(0)993-883800
email:  info-euro@wri.com
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Mathematica Educational Grant Program
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
A Mathematica Educational Grant Program is offered to educational institutions that want to improve the quality of their instruction through the use of Mathematica in the classroom and teaching laboratory.  The program is designed to help your school establish a teaching laboratory based on the Mathematica system.

For more information about the Educational Grant Program and Academic Site License Programs, contact the Wolfram Research Sales Department at 1-800-441-MATH or email info@wri.com.

In Europe, contact Wolfram Research Europe Ltd., +44-(0)993-883400.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 The Mathematica Book
:[font = text; inactive; endGroup; nohscroll; ]

The main documentation for Mathematica Version 2 is the book "Mathematica: A System for Doing Mathematics by Computer", Second Edition, by Stephen Wolfram (Addison-Wesley, 1991).  The book is available at most bookstores.    

	Softcover version  (ISBN: 0-201-51507-5)
	Hardcover version (ISBN: 0-201-51502-4)
	German version (ISBN: 3-89319-371-5)
	Japanese version (ISBN: 4-7952-9614-6)

To order the book directly, call Addison-Wesley at:
	USA: 1-800-447-2226
	Germany (Bonn): 0228-985-150
	Japan:  81-3-3291-4592
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 The Mathematica Journal
:[font = text; inactive; nohscroll; ]
Miller Freeman Publications publishes a quarterly periodical devoted to Mathematica-related topics.  
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
For information about The Mathematica Journal, or to subscribe, contact:

	The Mathematica Journal
	Miller Freeman Publications
	600 Harrison Street
	San Francisco, CA 94107
	(415) 905-2200
	(415) 905-2234 (fax)
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Arial"; fontSize = 9; ]
 Mathematica in Education 
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Mathematica in Education is published quarterly by TELOS/Springer-Verlag.  It is devoted to topics relating to the use of Mathematica in enhancing education.
:[font = text; inactive; preserveAspect; endGroup; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
For information about Mathematica in Education, contact:

	Mathematica in Education 
	TELOS/Springer-Verlag
	3600 Pruneridge Avenue, Suite 200
	Santa Clara, CA 95051
	
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Arial"; fontSize = 9; ]
 Mathematica World 
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Mathematica World is an electronic magazine distributed on diskette and published monthly.  It aims to encourage users to develop their skill and expand their use of Mathematica.  
:[font = text; inactive; preserveAspect; endGroup; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
For information about Mathematica World, contact:

	Mathematica World
	Ormond College
	University of Melbourne
	Parkville Vic 3052, Australia 
	Phone/Fax: 61-3-349-2001
	email: mathematica@matilda.vut.edu.au
	
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Recent Articles about Mathematica
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Times New Roman"; fontSize = 11; ]
Reviews
:[font = text; inactive; nohscroll; ]
IEEE Circuits and Devices: "Mathematica!," September 1993.
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
MacWorld: "Mathematica 2.2," September 1993.
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Compute: "Mathematica," December 1992.
:[font = text; inactive; nohscroll; ]
SunExpert: "Mathematica Version 2.0," May 1992.
:[font = text; inactive; nohscroll; ]
PC Magazine: "Mathematica for Windows: Reshaping Math Software with Graphics and
Sound," March 31, 1992
:[font = text; inactive; nohscroll; ]
Computer Shopper: "Figure It All Out with Mathematica 2.0," January 1992.
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Times New Roman"; fontSize = 11; ]
Product Comparison
:[font = text; inactive; nohscroll; ]
Notices of the American Mathematical Society: "Maple V and Mathematica," October 1992.
:[font = text; inactive; nohscroll; ]
PC Magazine: "Symbolic Math Software: It's Not Just for Mainframes Anymore," August 1992.
:[font = text; inactive; nohscroll; ]
MacWorld: "Mathematica Analysis," June 1992.
:[font = text; inactive; nohscroll; ]
BYTE: "What You See is What You Solve: Mathematica and MathCAD for Windows,"
May 1992.
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Times New Roman"; fontSize = 11; ]
Applications
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Scientific Computing and Automation: "Giving the Boot, Block and Shuffle to  Statistics,"
March 1994.
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Scientific Computing and Automation: "Applying Mathematics to Advanced Engineering Problems," July 1993.
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Scientific Computing and Automation: "Using a Mathematical Windows Program to Study Shapes," April 1993.
:[font = text; inactive; nohscroll; ]
R&D: "Math System Spurs Modeling," January 1993.
:[font = text; inactive; nohscroll; ]
T.H.E. Journal: "Math Software Improves 'Drudgery to Insight' Ratio," November 1992.
:[font = text; inactive; nohscroll; ]
Dr. Dobb's Journal: "The Design of the Mathematica Programming Language," April 1992.
:[font = text; inactive; endGroup; nohscroll; ]
The Scientist: "Symbol-Crunching Programs: Mainframe Analytical Power Reaches the
Desktop," September 28, 1992.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Current and Forthcoming Books on Mathematica 
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Here is a list of current and forthcoming books on Mathematica:
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Times New Roman"; fontSize = 11; ]
Tutorials/Reference
:[font = text; inactive; nohscroll; ]
S. Wolfram: Mathematica: A System for Doing Mathematics by Computer, Second Edition,
ISBN 0-201-51502-4 (Addison-Wesley, 1991).
:[font = text; inactive; nohscroll; ]
S. Wolfram: Mathematica Reference Guide, ISBN 0-201-51012-X (Addison-Wesley, 1992).
:[font = text; inactive; nohscroll; ]
T. Gray and J. Glynn: The Beginner's Guide to Mathematica Version 2, ISBN 0-201-58221-X
(Addison-Wesley, 1992).
:[font = text; inactive; nohscroll; ]
N. Blachman: Mathematica: A Practical Approach, ISBN 0-13-563826-7 (Prentice-Hall, 1992).
:[font = text; inactive; nohscroll; ]
N. Blachman: Mathematica: Quick Reference, Version 2, ISBN 0-201-62880-5
(Variable Symbols, Inc., 1992).
:[font = text; inactive; nohscroll; ]
M. Abell and J. Braselton: The Mathematica Handbook, ISBN 0-12-041535-6
(AP Professional, 1992).
:[font = text; inactive; nohscroll; ]
W. Ellis and E. Lodi: A Tutorial Introduction to Mathematica, ISBN 0-534-15588-X
(Brooks/Cole, 1991).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
R. Maeder: The Mathematica Programmer, ISBN 0-12-464990-4
(AP Professional/Academic Press, 1994).
:[font = text; inactive; nohscroll; ]
R. Maeder: Programming in Mathematica, Second Edition, ISBN 0-201-54877-1
(Addison-Wesley, 1991).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
A. Schuchat and F. Schultz: The Joy of Mathematica: A Point-and-Click Way to Use and Learn Mathematica, ISBN 0-201-59145-6 (Addison-Wesley, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
J. Gray: Mastering Mathematica: Programming Methods and Applications, ISBN 0-12-296040-8 (AP Professional/Academic Press, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Times New Roman"; fontSize = 11; ]
Applications
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
A. Allen: Introduction to Computer Performance Analysis with Mathematica, ISBN 0-12-051070-7 (AP Professional/Academic Press, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
J. Feagin: Quantum Methods with Mathematica, ISBN 0-387-97973-5 (TELOS/Springer-Verlag, 1994).
:[font = text; inactive; nohscroll; ]
J. Freeman: Simulating Neural Networks with Mathematica, ISBN 0-201-55629-X (Addison-Wesley, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
I. Vardi: Computer Recreations in Mathematica, ISBN 0-201-52989-0 (Addison-Wesley, 1991).
:[font = text; inactive; nohscroll; ]
T. Gray and J. Glynn: Exploring Mathematics with Mathematica, ISBN 0-201-52809-6
(Addison-Wesley, 1991); includes CD-ROM.
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
L. Parker and S. Christensen: MathTensor: A System for Doing Tensor Analysis by Computer, ISBN 0-201-56990-6 (Addison-Wesley, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
A. Riddle and S. Dick: Applied Electronic Engineering  with Mathematica, ISBN 0-201-53477-0 (Addison-Wesley, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
W. Shaw and J. Tigg: Applied Mathematica: Getting Started, Getting It Done, ISBN 0-201-54217-X  (Addison-Wesley, 1994).
:[font = text; inactive; nohscroll; ]
S. Skiena: Implementing Discrete Mathematics: Combinatorics and Graph Theory with
Mathematica, ISBN 0-201-50943-1 (Addison-Wesley, 1991).
:[font = text; inactive; nohscroll; ]
S. Wagon: Mathematica in Action, ISBN 0-7167-2229-1 (W. H. Freeman, 1991).
:[font = text; inactive; nohscroll; ]
R. Crandall: Mathematica for the Sciences, ISBN 0-201-51001-4 (Addison-Wesley, 1991).
:[font = text; inactive; nohscroll; ]
M. Abell and J. Braselton: Mathematica by Example, Revised Edition,  ISBN 0-12-041530-5
(AP Professional, 1994).
:[font = text; inactive; nohscroll; ]
M. Abell and J. Braselton: Differential Equations with Mathematica, ISBN 0-12-041538-0
(AP Professional, 1992).
:[font = text; inactive; nohscroll; ]
D. Vvedensky: Partial Differential Equations with Mathematica, ISBN 0-201-54409-1
(Addison-Wesley, 1993).
:[font = text; inactive; nohscroll; ]
H. Varian, ed.: Economic and Financial Modeling with Mathematica,
ISBN 0-387-97882-8 (TELOS/Springer-Verlag, 1993).
:[font = text; inactive; nohscroll; ]
A. Gray: Modern Differential Geometry of Curves and Surfaces, ISBN 0-8493-7872-9 (CRC Press, 1993).
:[font = text; inactive; nohscroll; ]
T. Wickham-Jones: Computer Graphics with Mathematica, ISBN 0-387-94047-2 (TELOS/Springer-Verlag, 1994).
:[font = text; inactive; nohscroll; ]
R. Gaylord and P. Wellin: Computer Simulations with Mathematica: Explorations in the Physical and Biological Sciences, ISBN 0-387-94274-2 (TELOS/Springer-Verlag, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Times New Roman"; fontSize = 11; ]
Textbooks/Courseware
:[font = text; inactive; nohscroll; ]
V. Ostovic: Computer-aided Analysis of Electric Machines: A Mathematica Approach,
ISBN 0-13-068859-2 (Prentice-Hall, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
J. Robertson: Engineering Mathematics with Mathematica, ISBN 0-07-053171-4 (McGraw-Hill, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
B. Davis, H. Porta, J. Uhl: Calculus&Mathematica, ISBN 0-201-58461-1 (Windows version); 0-201-58153-1 (Macintosh/NeXT version) (Addison-Wesley, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
E. Packel and S. Wagon: Animating Calculus: Mathematica Notebooks for the Laboratory, ISBN 0-7167-2428-6 (W. H. Freeman, 1994).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
R. Gaylord, S. Kamin, P. Wellin: Introduction to Programming with Mathematica, ISBN 0-387-94048-0 (TELOS/Springer-Verlag, 1993).
:[font = text; inactive; nohscroll; ]
P. Crooke and J. Ratcliffe: A Guidebook to Calculus with Mathematica, ISBN 0-534-15483-2 (Wadsworth Publishing, 1991).
:[font = text; inactive; nohscroll; ]
D. Burbulla and C. Dodson: Self-Tutor for Computer Calculus Using Mathematica,
ISBN 0-13-803784-1 (Prentice-Hall Canada, 1992).
:[font = text; inactive; nohscroll; ]
J. Finch and M. Lehmann: Exploring Calculus with Mathematica, ISBN 0-201-55572-7
(Addison-Wesley, 1992).
:[font = text; inactive; nohscroll; ]
B. Braden, D. Krug, P. McCartney, S. Wilkinson: Discovering Calculus with Mathematica
ISBN 0-471-53969-4 (John Wiley & Sons, 1992).
:[font = text; inactive; nohscroll; ]
M. Hft: Laboratories for Calculus I Using Mathematica, ISBN 0-201-54345-1
(Addison-Wesley, 1992).
:[font = text; inactive; nohscroll; ]
K. Stroyan: Calculus Using Mathematica, ISBN 0-12-672976-X (Macintosh version); 0-12-672977-8 (DOS version); 0-12-672978-6 (NeXT version) (Academic Press, 1993).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
A. Sparks, J. Davenport, and J. Braselton: Calculus Labs Using Mathematica, ISBN 0-06-501196-1 (HarperCollins, 1993).
:[font = text; inactive; nohscroll; ]
R. Skeel and J. Keiper: Elementary Numerical Computing with Mathematica,
ISBN 0-07-057820-6 (McGraw-Hill, 1993).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
M. Kerkhovel and V. Nall: Calculus Laboratories with Mathematica, Volumes 1, 2, & 3,
ISBN 0-07-034220-2 (Vol. 1); 0-07-034252-0 (Vol. 2); 0-07-034253-9 (Vol. 3)
 (McGraw-Hill, 1993).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Times New Roman"; fontSize = 11; ]
Additional Sources
:[font = text; inactive; nohscroll; ]
Selected Tutorial Notes, ISBN 1-880083-07-8 (Wolfram Research, Inc., 1993).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Times New Roman"; fontSize = 11; ]
Foreign Language Titles
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
G. Baumann: Mathematica in der Theoretischen Physik, ISBN 3-540-56210-9 (Springer-Verlag, 1993) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
W. Burkhardt: Erste Schritte mit Mathematica, ISBN 3-540-56650-3 (Springer-Verlag, 1993) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
E. Henrich and H. Janetzko: Das Mathematica Arbeitsbuch, ISBN 3-528-06528-1 (Verlag Vieweg, 1993) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
S. Kaufmann: Mathematica als Werkzeug: Eine Einfhrung mit Anwendungsbeispielen,
ISBN 3-7643-2832-0 (Birkhuser, 1992) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
M. Kofler: Mathematica: Einfhrung und Leitfaden fr den Praktiker, ISBN 3-89319-485-1 (Addison-Wesley, 1993) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
R. Maeder: Informatik fr Mathematiker und Naturwissenschaftler: Eine Einfhrung mit Mathematica, ISBN 3-89319-519-X (Addison-Wesley, 1993) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
E. Stelzer: Mathematica: Ein systematisches Lehrbuch mit Anwendungsbeispielen, ISBN 3-89319-495-9 (Addison-Wesley, 1993) (in German).
:[font = text; inactive; nohscroll; ]
R. Schaper: Grafik mit Mathematica, ISBN 3-89319-612-9 (Addison-Wesley, 1994) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
J. Kripfjanz and H. Perlt: Arbeiten mit Mathematica, ISBN 3-446-17649-7 (Hanser-Verlag, 1994) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
G. Falco: Mathematica:  Principi e applicazioni , ISBN 88-7192-037-6 (Addison-Wesley, 1993) (in Italian).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Ryoji Moriya: Learning Mathematics with Mathematica: Introduction, ISBN 4-303-72780-6 (Kaibundo, 1993) (in Japanese).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Ryoji Moriya: Learning Mathematics with Mathematica: Linear Algebra, ISBN 4-303-72800-4 (Kaibundo, 1993) (in Japanese).
:[font = text; inactive; nohscroll; ]
H. Ono: Mathematica: DSP and Control, ISBN 4-8101-8549-4 (Toppan, 1992) (in Japanese).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
S. Kang, G. Nam, and G. Jun: Mathematica?!, ISBN 89-315-4164-3 (Sungandang, 1993) (in Korean).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
E. Castillo, A. Iglesias, J. Gutirrez, E. Alvarez, and A. Cobo: Mathematica, ISBN 84-283-2017-9 (Editorial Paraninfo, 1993) (in Spanish).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
J. Culioli: Introduction  Mathematica, ISBN 2-7298-9144-7 (Ellipses, 1991) (in French).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
A. Sfeir: Mathematica: Une Nouvelle Approche Du Calcul Scientifique, ISBN 2-87892-005-8 (Angkor Editeur, 1993) (in French).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Times New Roman"; fontSize = 11; ]
Translations
:[font = text; inactive; nohscroll; ]
Mathematica: Ein System fr Mathematik auf dem Computer, Second Edition
ISBN 3-89319-371-5 (Addison-Wesley) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Mathematica in Aktion, ISBN 3-86025-041-8 (Spektrum Akademischer Verlag) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Mathematica griffbereit, Version 2, ISBN 3-528-06524-9 (Verlag Vieweg) (in German).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Guide d'initiation  Mathematica 2, ISBN 2-87908-026-6 (Addison-Wesley) (in French).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Mathematica: Un Enfoque Prctico, ISBN 84-344-0478-8 (Editorial Ariel) (in Spanish).
:[font = text; inactive; nohscroll; ]
Mathematica: A System for Doing Mathematics By Computer, Second Edition
ISBN 4-7952-9614-6 (Addison-Wesley, Toppan) (in Japanese).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
The Beginner's Guide to Mathematica Version 2, ISBN 4-8101-8056-5 (Addison-Wesley, Toppan) (in Japanese).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Mathematica by Example, ISBN 4-938455-35-8 (Fuji Software)
(in Japanese).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Self-Tutor for Computer Calculus Using Mathematica, ISBN 4-8101-8558-3 (Prentice-Hall, Toppan) (in Japanese).
:[font = text; inactive; nohscroll; backColorRed = 65535; backColorGreen = 65535; backColorBlue = 65535; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Times New Roman"; fontSize = 11; ]
Exploring Mathematics with Mathematica, ISBN 4-8101-8045-X (Addison-Wesley)
(in Japanese).
:[font = text; inactive; nohscroll; ]
Computational Recreations in Mathematica, ISBN 4-8101-8038-7 (Addison-Wesley, Toppan)
(in Japanese).
:[font = text; inactive; nohscroll; ]
Mathematica for the Sciences, ISBN 4-8101-8036-0 (Addison-Wesley, Toppan) (in Japanese).
:[font = text; inactive; nohscroll; ]
Programming in Mathematica, ISBN 4-8101-8043-3 (Addison-Wesley, Toppan) (in Japanese).
:[font = text; inactive; nohscroll; ]
Implementing Discrete Mathematics: Combinatorics and Graph Theory with Mathematica,
 ISBN 4-8101-8050-6 (Addison-Wesley, Toppan) (in Japanese).
:[font = text; inactive; nohscroll; ]
Mathematica: A Practical Approach, ISBN 4-8101-8538-9 (Prentice-Hall, Toppan)
(in Japanese).
:[font = text; inactive; endGroup; endGroup; nohscroll; ]
Mathematica in Action, ISBN 4-89242-143-X (Brain) (in Japanese).
:[font = subsection; inactive; preserveAspect; startGroup; Cclosed; nowordwrap; nohscroll; ]
 Distributing MathReader 
:[font = text; inactive; preserveAspect; nohscroll; ]

MathReader  is copyright  1989-94 by Wolfram Research, Inc. 

It is not "public domain".
:[font = text; inactive; preserveAspect; nohscroll; ]
Wolfram Research gives you permission to give away as many free copies of MathReader  as you like, but you may not sell it, and you may not package it with other software that you do sell.  And you must include this file (READ1ST.MA) with any copy of MathReader you make.
:[font = text; inactive; preserveAspect; nohscroll; ]
If you give someone a copy of MathReader on a disk, then you may charge a fair price for the disk itself, and for such costs as duplication and inventory -- this price should never exceed $5 per disk -- but you must not charge for MathReader.  (If you obtained a Demonstration Notebooks Disk, which contains MathReader, directly from Wolfram Research, you probably paid such a fee.)
:[font = text; inactive; preserveAspect; nohscroll; ]
For example: a Mathematica User Group might keep a collection of notebooks in its library.  For a fee, a member of the User Group may obtain a copy of a notebook on disk.  The User Group may distribute MathReader on the same disks provided that the fee is not higher than what would cover its cost to produce and distribute the disks.  If a higher fee is charged, perhaps to reimburse the author of the notebook or to fund the User Group's activities, then MathReader must not be included on these disks (but it may be distributed by itself on other disks for which a lower fee is charged).
:[font = text; inactive; preserveAspect; endGroup; endGroup; nohscroll; ]
Another example: many schools, colleges, and universities have instructional computing labs where students have access to Macintosh computers.  A teacher who has Mathematica might create course notes in the form of notebooks, intending students to use the school's computers to read the notes.  If the teacher does not charge for course notes, the teacher may give the students disks containing MathReader and the course notes (the teacher may still charge for the cost of the disks).  If the teacher wants to charge for the course notes, she or he must distribute MathReader separately -- perhaps just placing a copy in the computer lab, where the students may copy it onto their own disks for free.
^*)