(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 22, L0, nohscroll, bold;
	fontset = subtitle, "Times New Roman", 11, L0, nohscroll;
	fontset = subsubtitle, "Arial", 11, L0, nohscroll;
	fontset = section, "Arial", 17, L0, nohscroll, bold;
	fontset = subsection, "Arial", 15, L0, nohscroll, bold, blackBox;
	fontset = subsubsection, "Arial", 11, L0, nohscroll, bold, whiteBox;
	fontset = text, "Times New Roman", 10, L0, nohscroll;
	fontset = smalltext, "Times New Roman", 10, L0, nohscroll;
	fontset = input, "Courier New", 10, L0, nowordwrap, bold, B65535;
	fontset = output, "Courier New", 10, L0, nowordwrap, B65535;
	fontset = message, "Times New Roman", 10, L0, nowordwrap, R65535;
	fontset = print, "Times New Roman", 10, L0, nowordwrap;
	fontset = info, "Times New Roman", 10, L0, nowordwrap;
	fontset = postscript, "Times New Roman", 10, L0, nowordwrap;
	fontset = name, "Times New Roman", 10, L0, nohscroll;
	fontset = header, "Times New Roman", 11, L0;
	fontset = footer, "Times New Roman", 11, L0;
	fontset = help, "Times New Roman", 11, L0, nohscroll;
	fontset = clipboard, "Times New Roman", 11, L0;
	fontset = completions, "Times New Roman", 11, L0, nowordwrap;
	fontset = graphics, "Times New Roman", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Times New Roman", 9, L1, nowordwrap, bold;
	fontset = special2, "Times New Roman", 12, L0, nowordwrap, blackBox;
	fontset = special3, "Times New Roman", 12, L0, center, nowordwrap;
	fontset = special4, "Times New Roman", 9, L0, right, nowordwrap, bold;
	fontset = special5, "Times New Roman", 12, L0, center, nowordwrap;
	fontset = leftheader, "Times New Roman", 12, L0, nohscroll;
	fontset = leftfooter, "Times New Roman", 12, L0, center;
	fontset = reserved1, "Times New Roman", 10, L0, nowordwrap, nohscroll;]
:[font = title; inactive; preserveAspect; startGroup; nohscroll; ]
A Sampling of Mathematica
  
:[font = text; inactive; preserveAspect; nohscroll; ]
This file is a Mathematica notebook that gives some examples of what Mathematica can do.  For information on how to read this notebook, see the file READ1ST.MA.

This file is loosely based on the "Tour of Mathematica"  in Mathematica: A System for Doing Mathematics by Computer, Second Edition, by Stephen Wolfram.  This book was published by Addison-Wesley in 1991, and is available at most bookstores.  For information on how to obtain copies of Mathematica itself, see the section  "Buying Mathematica"  in the file READ1ST.MA.
:[font = section; inactive; preserveAspect; startGroup; nohscroll; ]
Numerical Calculations
:[font = text; inactive; preserveAspect; nohscroll; ]
You can use Mathematica as an enhanced scientific calculator.  Let's start with a simple example. 
:[font = input; preserveAspect; startGroup; nowordwrap; ]
45 + 78
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
123























































































;[o]
123
:[font = text; inactive; preserveAspect; nohscroll; ]
The first line here is what you type into Mathematica.  The second line is the result Mathematica gives. If you are reading this notebook on a color system, the input and output are blue, with the input in boldface.
:[font = text; inactive; preserveAspect; nohscroll; ]
Now let's try something more difficult.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
3^100
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
515377520732011331036461129765621272702107522001























































































;[o]
515377520732011331036461129765621272702107522001
:[font = text; inactive; preserveAspect; nohscroll; ]
Unlike a calculator, Mathematica  gives an exact answer for 3 raised to the power 100.
:[font = text; inactive; preserveAspect; nohscroll; ]
Now let's really test out Mathematica.  Here is 3 raised to the power 1000.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
3^1000
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
13220708194808066368904552597521443659654220327521481676649\
 2036822682859734670489954077831385060806196390977769687258\
 2355950954582100618911865342725257953674027620225198320803\
 8780147742289648412743904001175886180411289478156230944380\
 6156617305408667449050617812548034440554705439703889581746\
 5368254916136220830268563778582290228416398307887896918556\
 4040848989376093732421718463599386955167650189405881090604\
 2608967143886410281435038564874716583201061436613217310276\
 8902855220001























































































;[o]
13220708194808066368904552597521443659654220327521481676649\
 
 2036822682859734670489954077831385060806196390977769687258\
 
 2355950954582100618911865342725257953674027620225198320803\
 
 8780147742289648412743904001175886180411289478156230944380\
 
 6156617305408667449050617812548034440554705439703889581746\
 
 5368254916136220830268563778582290228416398307887896918556\
 
 4040848989376093732421718463599386955167650189405881090604\
 
 2608967143886410281435038564874716583201061436613217310276\
 
 8902855220001
:[font = text; inactive; preserveAspect; nohscroll; ]
This took about half a second on a 386-based MS-DOS machine.
:[font = text; inactive; preserveAspect; nohscroll; ]
Here's the result in the form you might get on a calculator.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
N[%]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
"1.32207"*10^"477"























































































;[o]
          477
1.32207 10
:[font = text; inactive; preserveAspect; nohscroll; ]
Here is the value of pi to two hundred decimal places.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
N[Pi, 200]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
3.141592653589793238462643383279502884197169399375105820974\
 9445923078164062862089986280348253421170679821480865132823\
 0664709384460955058223172535940812848111745028410270193852\
 1105559644622948954930382























































































;[o]
3.141592653589793238462643383279502884197169399375105820974\
 
 9445923078164062862089986280348253421170679821480865132823\
 
 0664709384460955058223172535940812848111745028410270193852\
 
 1105559644622948954930382
:[font = text; inactive; preserveAspect; nohscroll; ]
Mathematica knows about a big collection of mathematical functions -- most of those you would find in any book of mathematical tables.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
BesselJ[5, 34.6]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
0.0511826























































































;[o]
0.0511826
:[font = input; preserveAspect; startGroup; nowordwrap; ]

Log[4.5 + 2I] 
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
1.59421 + 0.418224*I























































































;[o]
1.59421 + 0.418224 I
:[font = input; preserveAspect; startGroup; nowordwrap; ]

Zeta[1/2 + 14.3 I]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
-0.0119878 + 0.132231*I























































































;[o]
-0.0119878 + 0.132231 I
:[font = text; inactive; preserveAspect; nohscroll; ]

Mathematica can do many kinds of exact computations with integers.  FactorInteger gives the factors of an integer.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
FactorInteger[70612139395722186]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
{{2, 1}, {3, 2}, {43, 5}, {26684839, 1}}
:[font = text; inactive; preserveAspect; nohscroll; ]
You can also do all the standard numerical matrix computations with Mathematica.  This computes the inverse of a 2 by 2 matrix.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Inverse[{{3.5, 7.2}, {-2.4, 6.4}}]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
{{0.16129, -0.181452}, {0.0604839, 0.0882056}}
:[font = text; inactive; preserveAspect; nohscroll; ]
This gives a numerical approximation to the eigenvalues of the matrix computed in the last example. 
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Eigenvalues[%]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
{0.124748 + 0.0981812 I, 0.124748 - 0.0981812 I}
:[font = text; inactive; preserveAspect; nohscroll; ]
Mathematica will also solve  linear programming problems. This returns a list containing the maximum value of the "objective function" and the point at which it is attained.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
ConstrainedMax[17 x -20 y + 18 z,
  {x - y + z < 10, x < 5, x + z > 20}, {x, y, z}]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
{160, {x -> 0, y -> 10, z -> 20}}
:[font = section; inactive; preserveAspect; startGroup; nohscroll; ]
Algebraic Calculations
:[font = text; inactive; preserveAspect; nohscroll; ]
One of the most important features of Mathematica is its ability to deal with mathematical formulas in algebraic form.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
(1 + x)^3
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
(1 + x)^3























































































;[o]
       3
(1 + x)
:[font = text; inactive; preserveAspect; nohscroll; ]
This is what Mathematica does if you type in a simple algebraic expression.
You can expand the expression like this:
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Expand[%]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
1 + 3*x + 3*x^2 + x^3























































































;[o]
             2    3
1 + 3 x + 3 x  + x
:[font = text; inactive; preserveAspect; nohscroll; ]
Mathematica gives an explicit formula for the result.
You can factor this result to get back to what you started from.
% always stands for the last result that Mathematica gave you.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Factor[%]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
(1 + x)^3























































































;[o]
       3
(1 + x)
:[font = text; inactive; preserveAspect; nohscroll; ]
Now let's try a more complicated example.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
(1 + 2x + 5y)^7
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
(1 + 2*x + 5*y)^7























































































;[o]
               7
(1 + 2 x + 5 y)
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Expand[%]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
1 + 14*x + 84*x^2 + 280*x^3 + 560*x^4 + 672*x^5 + 448*x^6 + 
   128*x^7 + 35*y + 420*x*y + 2100*x^2*y + 5600*x^3*y + 
   8400*x^4*y + 6720*x^5*y + 2240*x^6*y + 525*y^2 + 
   5250*x*y^2 + 21000*x^2*y^2 + 42000*x^3*y^2 + 42000*x^4*y^2 + 
   16800*x^5*y^2 + 4375*y^3 + 35000*x*y^3 + 105000*x^2*y^3 + 
   140000*x^3*y^3 + 70000*x^4*y^3 + 21875*y^4 + 131250*x*y^4 + 
   262500*x^2*y^4 + 175000*x^3*y^4 + 65625*y^5 + 262500*x*y^5 + 
   262500*x^2*y^5 + 109375*y^6 + 218750*x*y^6 + 78125*y^7























































































;[o]
               2        3        4        5        6
1 + 14 x + 84 x  + 280 x  + 560 x  + 672 x  + 448 x  + 
 
        7                          2           3
   128 x  + 35 y + 420 x y + 2100 x  y + 5600 x  y + 
 
         4           5           6          2           2
   8400 x  y + 6720 x  y + 2240 x  y + 525 y  + 5250 x y  + 
 
          2  2          3  2          4  2          5  2
   21000 x  y  + 42000 x  y  + 42000 x  y  + 16800 x  y  + 
 
         3            3           2  3           3  3
   4375 y  + 35000 x y  + 105000 x  y  + 140000 x  y  + 
 
          4  3          4             4           2  4
   70000 x  y  + 21875 y  + 131250 x y  + 262500 x  y  + 
 
           3  4          5             5           2  5
   175000 x  y  + 65625 y  + 262500 x y  + 262500 x  y  + 
 
           6             6          7
   109375 y  + 218750 x y  + 78125 y
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Factor[%]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
(1 + 2*x + 5*y)^7























































































;[o]
               7
(1 + 2 x + 5 y)
:[font = text; inactive; preserveAspect; nohscroll; ]
With the option setting Trig -> True Mathematica  will do algebraic operations using trigonometric identities.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Expand[ Cos[x]^3 Sin[x]^2, Trig -> True]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
Cos[x]   Cos[3 x]   Cos[5 x]
------ - -------- - --------
  8         16         16
:[font = text; inactive; preserveAspect; nohscroll; ]
Mathematica also does linear algebra on symbolic matrices.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Inverse[{{a, b}, {c, d}}]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
       d               b
{{------------, -(------------)}, 
  -(b c) + a d    -(b c) + a d
 
          c              a
  {-(------------), ------------}}
     -(b c) + a d   -(b c) + a d
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
Calculus
:[font = text; inactive; preserveAspect; nohscroll; ]
You can use Mathematica to do calculus. Here's a simple integral.
:[font = input; preserveAspect; nowordwrap; ]
Integrate[x^n, x]
:[font = output; inactive; formatted; output; nowordwrap; ]
x^(1 + n)/(1 + n)



















































































;[o]
 1 + n
x
------
1 + n
:[font = text; inactive; preserveAspect; nohscroll; ]
Here's a more complicated example.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Integrate[x/(x^3-1), x]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
ArcTan[(1 + 2*x)/3^(1/2)]/3^(1/2) + Log[-1 + x]/3 - 
  Log[1 + x + x^2]/6


















































;[o]
       1 + 2 x
ArcTan[-------]                              2
       Sqrt[3]    Log[-1 + x]   Log[1 + x + x ]
--------------- + ----------- - ---------------
    Sqrt[3]            3               6
:[font = text; inactive; preserveAspect; nohscroll; ]
Now let's try differentiating again.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
D[%, x]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
1/(3*(-1 + x)) - (1 + 2*x)/(6*(1 + x + x^2)) + 
  2/(3*(1 + (1 + 2*x)^2/3))


















































;[o]
    1           1 + 2 x               2
---------- - -------------- + ------------------
3 (-1 + x)               2                    2
             6 (1 + x + x )          (1 + 2 x)
                              3 (1 + ----------)
                                         3
:[font = text; inactive; preserveAspect; nohscroll; ]
This gives the expression in a different algebraic form. We can get back our original form using  Simplify.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Simplify[%]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
x/(-1 + x^3)


















































;[o]
   x
-------
      3
-1 + x
:[font = text; inactive; preserveAspect; nohscroll; ]
Mathematica can also give exact solutions to many definite integrals.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Integrate[ Sin[x]^10 Cos[x]^5/ x^10, {x, 0, Infinity}]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
40221457 Pi
-----------
 297271296
:[font = text; inactive; preserveAspect; nohscroll; ]
Many integrals do not have a "closed form solution".  If you give Mathematica such a definite integral it will be returned unevaluated. You can still use N to get a numerical answer.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Integrate[ Sin[ Sin[x]], {x, 0, Pi}]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
Integrate[Sin[Sin[x]], {x, 0, Pi}]
:[font = input; preserveAspect; startGroup; nowordwrap; ]
N[ % ]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
1.78649
:[font = text; inactive; preserveAspect; nohscroll; ]
Mathematica  can also solve differential equations. Here is a pair of simultaneous differential equations. The solution you get involves two undetermined coefficients.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
DSolve[{x'[t] == -y[t], y'[t] == x[t]}, 
                                {x[t], y[t]}, t]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
{{x[t] -> 
 
      -I t          2 I t                    2 I t
     E     (C[1] + E      C[1] - I C[2] + I E      C[2])
     ---------------------------------------------------, 
                              2
 
   y[t] -> 
 
      -I t              2 I t                2 I t
     E     (I C[1] - I E      C[1] + C[2] + E      C[2])
     ---------------------------------------------------}}
                              2
:[font = text; inactive; preserveAspect; nohscroll; ]
It is a mathematical fact that most differential equations do not have an explicit symbolic solution.  In these cases you can get a numerical approximation to the solution using NDSolve.  After the solution is computed it is plotted.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
NDSolve[{y''[x] + Sin[x]^2 y'[x] + y[x] == Cos[x]^2,
     y[0] == 1, y'[0] == 0}, y, {x, 0, 20}]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{{y -> InterpolatingFunction[{0., 20.}, 
     {{0., 0., {1., 0}, {0}}, {0.00833391807887338, 0., 
       {0.999999995176227, -(5.788121337438936*10^-7)}, {0}}, 
      {0.01666783615774676, 0.00833391807887338, 
       {0.999999971059398, -(2.893816451849014*10^-6)}, {0}}, 
      {0.02964841775559651, 0.01666783615774676, 
       {0.999999884782133, -0.00001039946535062508, -0.0002891106551042133}, {0, 0}}, 
      {0.04262899935344625, 0.02964841775559651, 
       {0.99999963629125, -0.00002788709085687932, -0.0006736071636863751}, {0, 0}}, 
      {0.05560958095129599, 0.04262899935344625, 
       {0.999999067729387, -0.00005971481791480953, -0.001225974615159098}, {0, 0}}, 
      {0.0947110814028622, 0.05560958095129599, 
       {0.999992990405501, -0.0002832548310731072, -0.004090675192305029, 
        -0.02100886031499209}, {0, 0, 0}}, 
      {0.1338125818544285, 0.0947110814028622, 
       {0.999972842235183, -0.000795404113675191, -0.00839422924622937, 
        -0.03146097510686268}, {0, 0, 0}}, 
      {0.1729140823059947, 0.1338125818544285, 
       {0.999925180045169, -0.001709448541521507, -0.01425766259084529, 
        -0.04381014228844964}, {0, 0, 0}}, 
      {0.212015582757561, 0.1729140823059947, 
       {0.999832110961939, -0.003136424242784032, -0.02152655676290292, 
        -0.05591406698606363}, {0, 0, 0}}, 
      {0.2662168117990417, 0.212015582757561, 
       {0.999586307461538, -0.006159345634333782, -0.03447384405606041, 
        -0.0894067235086752, -0.1159353865755639}, {0, 0, 0, 0}}, 
      {0.3204180408405225, 0.2662168117990417, 
       {0.999138563793254, -0.01062961626936584, -0.0488804933614728, 
        -0.0999515751977062, -0.0822864492355502}, {0, 0, 0, 0}}, 
      {0.3746192698820033, 0.3204180408405225, 
       {0.998403967137245, -0.01677476344024842, -0.06511317173449482, 
        -0.1079277670269778, -0.05953808385419444}, {0, 0, 0, 0}}, 
      {0.4288204989234841, 0.3746192698820033, 
       {0.997286567111431, -0.02478296556198349, -0.0830466014765607, 
        -0.1163712107513933, -0.04924148718741053}, {0, 0, 0, 0}}, 
      {0.4830217279649649, 0.4288204989234841, 
       {0.995681303650757, -0.03479661173893778, -0.1020625494570019, 
        -0.1218515403628397, -0.03725959355237575}, {0, 0, 0, 0}}, 
      {0.5613173138914811, 0.4830217279649649, 
       {0.992274409291921, -0.05297494561351174, -0.1304064567167675, 
        -0.1222533212210714, 0.003468013152023301, 0.06814178090460001}, 
       {0, 0, 0, 0, 0}}, {0.6396128998179974, 0.5613173138914811, 
       {0.987269932222075, -0.075587964359899, -0.1581841708546187, 
        -0.1141090179013643, 0.03802885125642485, 0.07619826041218505}, {0, 0, 0, 0, 0}}\
       , {0.7179084857445135, 0.6396128998179974, 
       {0.980326632358465, -0.1024529530008248, -0.1843338202409464, 
        -0.1041523989994473, 0.04972845417453575, 0.05767324744231299}, {0, 0, 0, 0, 0}}\
       , {0.7962040716710297, 0.7179084857445135, 
       {0.97112656801724, -0.1331452929673846, -0.2069337614952762, 
        -0.0864840851602007, 0.06836174221683651, 0.05364286395141679}, {0, 0, 0, 0, 0}}\
       , {0.874499657597546, 0.7962040716710297, 
       {0.95939387213881, -0.1670233508920787, -0.2248069606885963, 
        -0.0637596061847227, 0.0839601600940049, 0.04812369770144293}, {0, 0, 0, 0, 0}}, 
      {0.952795243524062, 0.874499657597546, 
       {0.944910131095088, -0.2032699807621419, -0.237016271338782, 
        -0.03780571647612316, 0.0937923721791947, 0.03892046781240272}, {0, 0, 0, 0, 0}}\
       , {1.039724469825587, 0.952795243524062, 
       {0.92542768700412, -0.2451467267481447, -0.2432953081803271, 
        -0.00824729181249641, 0.0897846117528778, -0.001673254924233756, 
        -0.03900354228553359}, {0, 0, 0, 0, 0, 0}}, 
      {1.126653696127112, 1.039724469825587, 
       {0.902277860188137, -0.2874188841542655, -0.2416891819319895, 
        0.02063608418904903, 0.07910389882806989, -0.03100133325192045, 
        -0.04474562836492286}, {0, 0, 0, 0, 0, 0}}, 
      {1.213582922428637, 1.126653696127112, 
       {0.875485580139576, -0.3287280514535277, -0.2323712829100833, 
        0.04893730798569679, 0.0727017226171048, -0.03461662359913409, 
        -0.03214091300128465}, {0, 0, 0, 0, 0, 0}}, 
      {1.300512148730162, 1.213582922428637, 
       {0.845190514400944, -0.3678083556688001, -0.2161762060128813, 
        0.07364398094894601, 0.06204749522273448, -0.03833147746569672, 
        -0.02380139942507645}, {0, 0, 0, 0, 0, 0}}, 
      {1.387441375031688, 1.300512148730162, 
       {0.811635967165259, -0.403550383021133, -0.194152109096246, 0.0937578479719871, 
        0.04838696543453835, -0.04149193254483483, -0.01788741326513169}, 
       {0, 0, 0, 0, 0, 0}}, {1.474370601333213, 1.387441375031688, 
       {0.7751533548851127, -0.4350400348107747, -0.1674659123660279, 
        0.1092862811251535, 0.03508465303807659, -0.03984380825337941, 
        -0.01087164325150214}, {0, 0, 0, 0, 0, 0}}, 
      {1.561299827634738, 1.474370601333213, 
       {0.7361445508530884, -0.4615699439161367, -0.1372853292990113, 
        0.1206015647771803, 0.02393137346065979, -0.03350120050537078, 
        -0.003194268169120814}, {0, 0, 0, 0, 0, 0}}, 
      {1.681304309960248, 1.561299827634738, 
       {0.6789915111106743, -0.4891301489640757, -0.0919228965339709, 
        0.1292768679229947, 0.00815176057533371, -0.02990506007751192, 
        -0.0004646944704896713}, {0, 0, 0, 0, 0, 0}}, 
      {1.801308792285758, 1.681304309960248, 
       {0.6191991919062243, -0.5054577459715523, -0.04401311226784704, 
        0.1342605207357654, 0.002841551456797926, -0.0152591784453301, 
        0.006470451181344034}, {0, 0, 0, 0, 0, 0}}, 
      {1.921313274611268, 1.801308792285758, 
       {0.5581427049731596, -0.5101582305930661, 0.004874149536455347, 
        0.136158427462008, 0.001004286771591462, -0.003634819171370164, 
        0.0096950809212789}, {0, 0, 0, 0, 0, 0}}, 
      {2.041317756936777, 1.921313274611268, 
       {0.4972273696587786, -0.5030939313345982, 0.05401710829484653, 
        0.1367713608599165, 0.001671272833691763, 0.004232531538534417, 
        0.01010554323177437}, {0, 0, 0, 0, 0, 0}}, 
      {2.161322239262287, 2.041317756936777, 
       {0.4378672196864744, -0.4842377162854067, 0.1031746489495831, 
        0.1370225274521481, 0.002828959484448976, 0.00731496575524099, 
        0.0081640283969828}, {0, 0, 0, 0, 0, 0}}, 
      {2.281326721587797, 2.161322239262287, 
       {0.3814775644132748, -0.4535868073565616, 0.1523290209110124, 
        0.1371074550524677, 0.002822610938436043, 0.005947610746796621, 
        0.004809674516537869}, {0, 0, 0, 0, 0, 0}}, 
      {2.401331203913307, 2.281326721587797, 
       {0.3294736915410828, -0.4111478502197694, 0.2013732951984304, 
        0.1363926555225938, 0.0001288989039143415, 0.000821168844185928, 
        0.000833185592853021}, {0, 0, 0, 0, 0, 0}}, 
      {2.542772658376751, 2.401331203913307, 
       {0.2757297584641557, -0.3461058227991112, 0.2583852300977294, 
        0.1331684232865173, -0.006068693949784442, -0.005486938130793508, 
        -0.001922249271282172}, {0, 0, 0, 0, 0, 0}}, 
      {2.684214112840195, 2.542772658376751, 
       {0.2323095323439747, -0.2653100131048529, 0.3123095236797067, 
        0.1219987507440542, -0.02360618566761217, -0.02017399776343716, 
        -0.007050301598869567}, {0, 0, 0, 0, 0, 0}}, 
      {2.825655567303638, 2.684214112840195, 
       {0.2013587732886943, -0.1701107476185192, 0.3593398802765652, 
        0.0992154729919184, -0.04999050091597547, -0.03613991566078571, 
        -0.01097131473698204}, {0, 0, 0, 0, 0, 0}}, 
      {2.94090773577456, 2.825655567303638, 
       {0.1866660302339092, -0.083734181441487, 0.3884126626834722, 
        0.0678735728010783, -0.080769600276177, -0.05324090822123911, 
        -0.01555748329058616}, {0, 0, 0, 0, 0, 0}}, 
      {3.056159904245482, 2.94090773577456, 
       {0.1822656373066757, 0.00801851053373228, 0.405187738776143, 
        0.02594347704203732, -0.1075344137851808, -0.0554054500027122, 
        -0.01141503998383918}, {0, 0, 0, 0, 0, 0}}, 
      {3.171412072716403, 3.056159904245482, 
       {0.1885930595441774, 0.1017818001707295, 0.4051123188938136, 
        -0.02942474200101653, -0.1370287052395822, -0.05753197974138712, 
        -0.00863508798536618}, {0, 0, 0, 0, 0, 0}}, 
      {3.286664241187325, 3.171412072716403, 
       {0.2056400155928512, 0.1932474756802978, 0.3845899052166693, 
        -0.0934917893702448, -0.1546675134905729, -0.04239133923068873, 
        0.001541590241313823}, {0, 0, 0, 0, 0, 0}}, 
      {3.401916409658246, 3.286664241187325, 
       {0.2328563793926067, 0.2773691339306689, 0.34109495254209, -0.1618186780821784, 
        -0.1577454988805315, -0.01554859053929419, 0.01396686572595587}, 
       {0, 0, 0, 0, 0, 0}}, {3.517168578129168, 3.401916409658246, 
       {0.2690871506570089, 0.3487885752586647, 0.2745700882745694, 
        -0.225737366462248, -0.1382546697176523, 0.02555136177514839, 
        0.02912285096039894}, {0, 0, 0, 0, 0, 0}}, 
      {3.632420746600089, 3.517168578129168, 
       {0.3125706462748742, 0.4024492684526743, 0.187822578121628, 
        -0.2763861795476287, -0.0960889238707762, 0.07219643251032651, 
        0.04189978114526334}, {0, 0, 0, 0, 0, 0}}, 
      {3.725109407819565, 3.632420746600089, 
       {0.3512620135363042, 0.4299290818887456, 0.107412227022088, 
        -0.3005640459910517, -0.04323714316680158, 0.1168117841171798, 
        0.05467465302278006}, {0, 0, 0, 0, 0, 0}}, 
      {3.81779806903904, 3.725109407819565, 
       {0.3917904952968756, 0.4419309392488788, 0.02172352127582405, 
        -0.3108504026919281, 0.002164157431342671, 0.1231829684233062, 
        0.04026851715676733}, {0, 0, 0, 0, 0, 0}}, 
      {3.910486730258516, 3.81779806903904, 
       {0.4326918620034929, 0.4379758288712375, -0.06387740657290522, 
        -0.3006019532853317, 0.05900637767156045, 0.1372987541084725, 
        0.03530637119819712}, {0, 0, 0, 0, 0, 0}}, 
      {4.003175391477992, 3.910486730258516, 
       {0.4725011176105553, 0.4185189358824858, -0.1446202564348373, 
        -0.274220686748258, 0.1031795907547836, 0.1203683382443131, 0.0133898599584594}\
        , {0, 0, 0, 0, 0, 0}}, {4.095864052697468, 4.003175391477992, 
       {0.5098377243376872, 0.3849182165467272, -0.2157792131249126, 
        -0.2324963289827529, 0.1390336054007866, 0.0948309615633768, 
        -0.006379971532477048}, {0, 0, 0, 0, 0, 0}}, 
      {4.188552713916943, 4.095864052697468, 
       {0.5434841394689352, 0.3393013289193458, -0.2737656374313115, 
        -0.1802979492997102, 0.1595565707246038, 0.05685467930942619, 
        -0.02701546703682218}, {0, 0, 0, 0, 0, 0}}, 
      {4.281241375136419, 4.188552713916943, 
       {0.572447785430196, 0.2843558947274208, -0.3161971998514954, 
        -0.122264942308157, 0.1653743813296863, 0.01586170221652741, 
        -0.04258060492248024}, {0, 0, 0, 0, 0, 0}}, 
      {4.373930036355894, 4.281241375136419, 
       {0.5960014850798974, 0.2230777241867219, -0.3421089612789228, 
        -0.06332520992789894, 0.1578898632590121, -0.02205728915998342, 
        -0.05111488373171465}, {0, 0, 0, 0, 0, 0}}, 
      {4.46661869757537, 4.373930036355894, 
       {0.6137001067015681, 0.1585165653838159, -0.3518415037839711, 
        -0.007675939696713177, 0.140530006757211, -0.05132237528013174, 
        -0.05161744147012517}, {0, 0, 0, 0, 0, 0}}, 
      {4.559307358794845, 4.46661869757537, 
       {0.6253749241516738, 0.0935542213533712, -0.3467991533934443, 
        0.04154966229973188, 0.1172911318219722, -0.06906508234422367, 
        -0.04504621805982206}, {0, 0, 0, 0, 0, 0}}, 
      {4.651996020014321, 4.559307358794845, 
       {0.6311098831149206, 0.03073885364522069, -0.3291073644761135, 
        0.0824724807913901, 0.091973186860954, -0.07508555495239954, 
        -0.03363935159643217}, {0, 0, 0, 0, 0, 0}}, 
      {4.744684681233796, 4.651996020014321, 
       {0.631205564143831, -0.02781417648856333, -0.3012492144753016, 
        0.1144260245090412, 0.06763696782928247, -0.07125622832004082, 
        -0.02013101979784824}, {0, 0, 0, 0, 0, 0}}, 
      {4.837373342453272, 4.744684681233796, 
       {0.6261369840401928, -0.0804574507723391, -0.2657459421964767, 
        0.1377174863924611, 0.04625548308830262, -0.060768549908873, 
        -0.007134594890492969}, {0, 0, 0, 0, 0, 0}}, 
      {4.934711057758853, 4.837373342453272, 
       {0.6159201087085061, -0.1280753363357008, -0.222780680204344, 
        0.1537211920713317, 0.026969734226607, -0.04854088562463728, 
        0.002222549648551576}, {0, 0, 0, 0, 0, 0}}, 
      {5.032048773064435, 4.934711057758853, 
       {0.6014883015350931, -0.1669435303944454, -0.1761636801681448, 
        0.1632626749556451, 0.01413699514179585, -0.03204915206006134, 
        0.01089436593911474}, {0, 0, 0, 0, 0, 0}}, 
      {5.129386488370016, 5.032048773064435, 
       {0.5837216041322559, -0.1965367995936811, -0.1277013131487805, 
        0.1674204074601373, 0.00442178411905284, -0.01939997452893074, 
        0.01448243579015764}, {0, 0, 0, 0, 0, 0}}, 
      {5.226724203675598, 5.129386488370016, 
       {0.5635360668422292, -0.2166241743157104, -0.07865201513789311, 
        0.1679556785833564, -0.001842232210436084, -0.00931816238387862, 
        0.01540915712474707}, {0, 0, 0, 0, 0, 0}}, 
      {5.324061918981179, 5.226724203675598, 
       {0.5418594791433887, -0.2271828520030699, -0.02990388016056814, 
        0.1659242665318757, -0.006270015176177259, -0.003339483833459909, 
        0.01368510554940685}, {0, 0, 0, 0, 0, 0}}, 
      {5.42139963428676, 5.324061918981179, 
       {0.5196144746179701, -0.2283325924621065, 0.01793903091440181, 
        0.162067279271888, -0.0098851433350467, -0.001053910393950397, 
        0.01042789602096576}, {0, 0, 0, 0, 0, 0}}, 
      {5.518737349592342, 5.42139963428676, 
       {0.4977068276524621, -0.2202955529067307, 0.06440879960013125, 
        0.1566328278011604, -0.0138008639463196, -0.002048552973445705, 
        0.006384237871031489}, {0, 0, 0, 0, 0, 0}}, 
      {5.6497384662035, 5.518737349592342, 
       {0.4702987123609765, -0.1955400310358288, 0.1240203697432546, 
        0.1472188891207061, -0.01807952335372325, -0.001966538756102868, 
        0.00429093954687942}, {0, 0, 0, 0, 0, 0}}, 
      {5.780739582814659, 5.6497384662035, 
       {0.4471299527707536, -0.1557874344568862, 0.1786320840830031, 
        0.1319216672869627, -0.03054559453713223, -0.01183041202887594, 
        -0.001322490342922966}, {0, 0, 0, 0, 0, 0}}, 
      {5.911740699425817, 5.780739582814659, 
       {0.430068659144168, -0.1026166040500049, 0.2259225306326176, 
        0.1090694942456648, -0.04892237223706918, -0.02395631349035135, 
        -0.006024068245668866}, {0, 0, 0, 0, 0, 0}}, 
      {6.042741816036976, 5.911740699425817, 
       {0.4207288145878859, -0.0383763800208355, 0.2623942051336694, 
        0.07574889255611462, -0.0733084075943239, -0.0363899621963443, 
        -0.00928896437989113}, {0, 0, 0, 0, 0, 0}}, 
      {6.148769256206156, 6.042741816036976, 
       {0.4196897500730867, 0.01943482123721286, 0.2809613885934563, 
        0.03966871718650941, -0.0959756636264141, -0.04470825276491381, 
        -0.01055120569454534}, {0, 0, 0, 0, 0, 0}}, 
      {6.254796696375336, 6.148769256206156, 
       {0.4249451047684489, 0.07991307776828176, 0.2870681658273384, 
        -0.003651896875224109, -0.1143450955504997, -0.04195180205020696, 
        -0.005589830348615508}, {0, 0, 0, 0, 0, 0}}, 
      {6.360824136544517, 6.254796696375336, 
       {0.4366274857621696, 0.1401379551064204, 0.2781781535944063, 
        -0.05444083112141437, -0.130699368410524, -0.03641559878130813, 
        -0.000825730460126903}, {0, 0, 0, 0, 0, 0}}, 
      {6.466851576713697, 6.360824136544517, 
       {0.4545348155049683, 0.1967456552446105, 0.2526968341553538, 
        -0.1083739883258813, -0.1351493159885628, -0.01697551496744537, 
        0.00963559933218772}, {0, 0, 0, 0, 0, 0}}, 
      {6.572879016882877, 6.466851576713697, 
       {0.4780931121909542, 0.2461236474617443, 0.2100197093572238, 
        -0.161718374606281, -0.1274191023921288, 0.00926640800870051, 
        0.02017380180858237}, {0, 0, 0, 0, 0, 0}}, 
      {6.678906457052057, 6.572879016882877, 
       {0.5063450945109464, 0.284714740779341, 0.1513125419111771, 
        -0.2081509114854203, -0.10284534810883, 0.04374984637560226, 
        0.03151760475184295}, {0, 0, 0, 0, 0, 0}}, 
      {6.784933897221238, 6.678906457052057, 
       {0.5379757930841826, 0.3093945084591084, 0.07953745376701109, 
        -0.2420209273985199, -0.06343949399562393, 0.0783106227462882, 
        0.03912066310212652}, {0, 0, 0, 0, 0, 0}}, 
      {6.890961337390418, 6.784933897221238, 
       {0.5713794688857158, 0.3178661444857127, -0.0005288976495891239, 
        -0.2582209592123561, -0.01273748823502487, 0.1066461745027587, 
        0.04092751672434397}, {0, 0, 0, 0, 0, 0}}, 
      {6.996988777559598, 6.890961337390418, 
       {0.6047659964384576, 0.3089937459954282, -0.0828378377096369, 
        -0.2540816899925198, 0.04155322850368667, 0.1205023264908303, 
        0.03454526585656345}, {0, 0, 0, 0, 0, 0}}, 
      {7.103016217728779, 6.996988777559598, 
       {0.6362958459121706, 0.2829988295858012, -0.1608247748025501, 
        -0.2296920370993327, 0.0909423128188934, 0.1154239346981472, 
        0.02036923515591294}, {0, 0, 0, 0, 0, 0}}, 
      {7.209043657897959, 7.103016217728779, 
       {0.6642262249859475, 0.2414684562835535, -0.2283657430009311, 
        -0.1881349902886567, 0.1275788739519631, 0.091114829316101, 
        0.000842166139473678}, {0, 0, 0, 0, 0, 0}}, 
      {7.315071098067139, 7.209043657897959, 
       {0.6870474825296047, 0.1871666951901771, -0.2806327955244892, 
        -0.1346980858158454, 0.146806830012917, 0.05274733794014212, 
        -0.01954209981285231}, {0, 0, 0, 0, 0, 0}}, 
      {7.42109853823632, 7.315071098067139, 
       {0.7035906161958929, 0.1236879959525679, -0.3146862203334908, 
        -0.07576121249400114, 0.1479876662046755, 0.00904198600711933, 
        -0.03592850725343673}, {0, 0, 0, 0, 0, 0}}, 
      {7.508548200721756, 7.42109853823632, 
       {0.7119569421054281, 0.06725267492449426, -0.3284763887010949, 
        -0.02837686379826418, 0.1329404504195173, -0.0338305316853618, 
        -0.05118865299027373}, {0, 0, 0, 0, 0, 0}}, 
      {7.595997863207193, 7.508548200721756, 
       {0.715315949780163, 0.00953666075155094, -0.3295549730850125, 
        0.01821714034283916, 0.1231736125715181, -0.04309656932000198, 
        -0.04001235362758417}, {0, 0, 0, 0, 0, 0}}, 
      {7.68344752569263, 7.595997863207193, 
       {0.7136487705836433, -0.04737048172691336, -0.319470907992834, 
        0.05732411012639528, 0.0992602176059251, -0.06486523951445801, 
        -0.04050423614006127}, {0, 0, 0, 0, 0, 0}}, 
      {7.770897188178066, 7.68344752569263, 
       {0.7071083616052322, -0.1016343815044814, -0.2996825389057643, 
        0.0907012234456363, 0.07972445790005689, -0.06436764782348005, 
        -0.0266867110056111}, {0, 0, 0, 0, 0, 0}}, 
      {7.858346850663503, 7.770897188178066, 
       {0.6959947989741137, -0.1517340682151469, -0.2721598930398282, 
        0.1165834887925766, 0.05912674708073994, -0.06124448946776559, 
        -0.01580704156003532}, {0, 0, 0, 0, 0, 0}}, 
      {7.945796513148939, 7.858346850663503, 
       {0.6807265961078732, -0.1964816008899929, -0.2387811298958788, 
        0.1355237382167871, 0.04074956752321094, -0.05304738379620384, 
        -0.005330520363742534}, {0, 0, 0, 0, 0, 0}}, 
      {8.03324617563438, 7.945796513148939, 
       {0.6618120210865529, -0.235007146223984, -0.2012652124514683, 
        0.1484735118659785, 0.02609187562192261, -0.04107493733669246, 
        0.004052248648632112}, {0, 0, 0, 0, 0, 0}}, 
      {8.13281647858731, 8.03324617563438, 
       {0.6365666256323173, -0.2705578217930717, -0.1554143998677767, 
        0.1567841171431649, 0.01168305235896042, -0.03094405183690827, 
        0.00835405769857628}, {0, 0, 0, 0, 0, 0}}, 
      {8.23238678154024, 8.13281647858731, 
       {0.6082431419559099, -0.2967750337269512, -0.1077494564462849, 
        0.1608984816346291, 0.004247223586764598, -0.01641473154122497, 
        0.01367605056704525}, {0, 0, 0, 0, 0, 0}}, 
      {8.33195708449317, 8.23238678154024, 
       {0.577784120914065, -0.3134339055402551, -0.05953811368154387, 
        0.1614440284861633, -0.001289667344705027, -0.007391672230884399, 
        0.01415181062807798}, {0, 0, 0, 0, 0, 0}}, 
      {8.4315273874461, 8.33195708449317, 
       {0.5461440691897473, -0.3205041965092996, -0.01153044746058099, 
        0.1599897846312538, -0.004251321802033386, -0.000902600522639419, 
        0.0130551378569107}, {0, 0, 0, 0, 0, 0}}, 
      {8.53109769039903, 8.4315273874461, 
       {0.5142738766780949, -0.3180795927526536, 0.03577363066773096, 
        0.1571229559804813, -0.006577584441561852, 0.001482907273865936, 
        0.01003442662074849}, {0, 0, 0, 0, 0, 0}}, 
      {8.63066799335196, 8.53109769039903, 
       {0.4831108459882951, -0.3063344544102378, 0.0820313244162032, 
        0.1531175103029168, -0.00927229611410421, 0.000494411643843004, 
        0.006138083582243782}, {0, 0, 0, 0, 0, 0}}, 
      {8.73023829630489, 8.63066799335196, 
       {0.4535716023768427, -0.2855097741744401, 0.1268966232463498, 
        0.1477532308525086, -0.01335343899256266, -0.00326828169498264, 
        0.001992649446489698}, {0, 0, 0, 0, 0, 0}}, 
      {8.86853706166008, 8.73023829630489, 
       {0.4168957664706038, -0.2421465920259155, 0.186033920052283, 
        0.1376415504533291, -0.01955900396889146, -0.006226046456233117, 
        0.0001402787238175492}, {0, 0, 0, 0, 0, 0}}, 
      {9.00683582701527, 8.86853706166008, 
       {0.3873133089628441, -0.1832009589109362, 0.2391604658504614, 
        0.1194158487607151, -0.03657179027041812, -0.01912265748898118, 
        -0.005087137300382149}, {0, 0, 0, 0, 0, 0}}, 
      {9.14513459237046, 9.00683582701527, 
       {0.3668459725895333, -0.1107675977632014, 0.2827664641505057, 
        0.0904741307504649, -0.06105497627860227, -0.03334834968294583, 
        -0.00910598226711434}, {0, 0, 0, 0, 0, 0}}, 
      {9.25551848210048, 9.14513459237046, 
       {0.358174780486633, -0.04543522767724458, 0.3073147681705959, 
        0.05682751593190138, -0.0872347772763798, -0.04719359215798584, 
        -0.01303888308333311}, {0, 0, 0, 0, 0, 0}}, 
      {9.36590237183051, 9.25551848210048, 
       {0.3569689170579342, 0.0240437088904494, 0.319734347355598, 0.0153949424826356, 
        -0.10748769315549, -0.04537092073303919, -0.007775249028397182}, 
       {0, 0, 0, 0, 0, 0}}, {9.47628626156054, 9.36590237183051, 
       {0.3635240167106242, 0.0946146964924285, 0.3166975492438402, 
        -0.03606205041814986, -0.1294834656160662, -0.04480815677117695, 
        -0.004900263595449484}, {0, 0, 0, 0, 0, 0}}, 
      {9.58667015129057, 9.47628626156054, 
       {0.3777627204242523, 0.1626036266853592, 0.2959259363536388, 
        -0.0926247989354754, -0.1391946025040434, -0.02769901981809202, 
        0.005344084531133543}, {0, 0, 0, 0, 0, 0}}, 
      {9.6970540410206, 9.58667015129057, 
       {0.3991762429051354, 0.2239075678530466, 0.2560371404406648, 
        -0.1507645016710531, -0.1366905838708684, -0.002654030084916582, 
        0.01616771748066033}, {0, 0, 0, 0, 0, 0}}, 
      {9.80743793075063, 9.6970540410206, 
       {0.4267941325099065, 0.2743358773210897, 0.1976733538375297, 
        -0.2032950375338783, -0.1154060623257763, 0.03337009626838069, 
        0.02890920697890405}, {0, 0, 0, 0, 0, 0}}, 
      {9.91782182048066, 9.80743793075063, 
       {0.4591991417689332, 0.3100650075752322, 0.123603905921198, -0.243575402577297, 
        -0.07673555042606388, 0.07166175197415298, 0.03854476735548534}, 
       {0, 0, 0, 0, 0, 0}}, {10.02820571021069, 9.91782182048066, 
       {0.4945953807195917, 0.3281412695830418, 0.03887923400605189, 
        -0.2652284115029323, -0.02382511495071679, 0.1052655941180719, 
        0.04260912557289683}, {0, 0, 0, 0, 0, 0}}, 
      {10.11839827297436, 10.02820571021069, 
       {0.5243110445567232, 0.3286160469143597, -0.03363083797187575, 
        -0.2670957301003645, 0.01928611835701936, 0.1013986365061166}, {0, 0, 0, 0, 0}}, 
      {10.20859083573802, 10.11839827297436, 
       {0.5534807334452517, 0.3160777659651972, -0.1047203947119751, 
        -0.2545006869000079, 0.05880905504737257, 0.0958956747933689}, {0, 0, 0, 0, 0}}, 
      {10.28195018450933, 10.20859083573802, 
       {0.5760057417968808, 0.2967065066510534, -0.1585198772399818, 
        -0.2325092426889391, 0.0927387734025662, 0.0945385167162797}, {0, 0, 0, 0, 0}}, 
      {10.35530953328063, 10.28195018450933, 
       {0.5968292778425191, 0.2698290110341504, -0.2066914354539432, 
        -0.2025565357801663, 0.1205565982637941, 0.0870590661985716}, {0, 0, 0, 0, 0}}, 
      {10.42866888205193, 10.35530953328063, 
       {0.6154342050283583, 0.2363997813846856, -0.2475513361586664, 
        -0.1657912263654681, 0.1428627900997082, 0.07656083759632815}, {0, 0, 0, 0, 0}}, 
      {10.50202823082324, 10.42866888205193, 
       {0.6313813966338618, 0.1975780452331655, -0.279994299286265, 
        -0.1252916920896204, 0.1547568061582222, 0.05890719137412586}, {0, 0, 0, 0, 0}}, 
      {10.57538757959454, 10.50202823082324, 
       {0.6443221541181634, 0.1546586690630232, -0.3033196519970075, 
        -0.0829505719675924, 0.1581351288951365, 0.03902845084094563}, {0, 0, 0, 0, 0}}, 
      {10.64874692836584, 10.57538757959454, 
       {0.6540055443540834, 0.1090001920609028, -0.3173369422342247, 
        -0.04094805950031009, 0.1534621123330389, 0.01832104210151739}, {0, 0, 0, 0, 0}}\
       , {10.74639726477455, 10.64874692836584, 
       {0.6615948197853268, 0.04629678831440084, -0.3218307436921243, 
        0.01381803991288055, 0.1472144943357499, 0.005874266654430996}, {0, 0, 0, 0, 0}}\
       , {10.82722328964177, 10.74639726477455, 
       {0.6632428652335776, -0.005324694218945352, -0.3149970427060306, 
        0.04841183090586396, 0.1141021499989971, -0.02924938319323956}, {0, 0, 0, 0, 0}}\
       , {10.90804931450899, 10.82722328964177, 
       {0.660784545321828, -0.05507703355813173, -0.2991461033877231, 
        0.0822019250565668, 0.0991298993087322, -0.03236886737304884}, {0, 0, 0, 0, 0}}, 
      {10.98887533937621, 10.90804931450899, 
       {0.6544243258481738, -0.1016853450272458, -0.2763270711688095, 
        0.1073568245162611, 0.073377016972984, -0.04491101375273427}, {0, 0, 0, 0, 0}}, 
      {11.06970136424343, 10.98887533937621, 
       {0.6444596000124016, -0.1441177028986253, -0.2478233071144678, 
        0.127182107420892, 0.0526717937123201, -0.04744022851286556}, {0, 0, 0, 0, 0}}, 
      {11.15052738911065, 11.06970136424343, 
       {0.631261507208081, -0.1815808703225139, -0.2151153183241039, 
        0.1414296542968379, 0.03434215231675288, -0.0466064534477142}, {0, 0, 0, 0, 0}}, 
      {11.23135341397787, 11.15052738911065, 
       {0.6152562970919899, -0.2134996442535727, -0.1794555116063093, 
        0.1510248353571255, 0.01958183877111461, -0.04257333833386826}, {0, 0, 0, 0, 0}}\
       , {11.31217943884509, 11.23135341397787, 
       {0.5969089166028525, -0.2394860235842585, -0.1418951931021953, 
        0.1568686820710572, 0.0084590695235387, -0.03655309990033395}, {0, 0, 0, 0, 0}}, 
      {11.39300546371231, 11.31217943884509, 
       {0.5767092909545081, -0.2593040107324199, -0.1032657866383609, 
        0.1598347008338987, 0.0006306763602209588, -0.02968024858227772}, 
       {0, 0, 0, 0, 0}}, {11.47383148857953, 11.39300546371231, 
       {0.555161462956511, -0.2728347304648509, -0.06419183394898976, 
        0.1606951551819782, -0.004482773708941145, -0.02286934084108967}, 
       {0, 0, 0, 0, 0}}, {11.59181245841113, 11.47383148857953, 
       {0.5223442673578611, -0.2812468845498115, -0.007394887048796007, 
        0.1580464444981146, -0.01316017084926057, -0.01960553453350806}, 
       {0, 0, 0, 0, 0}}, {11.70979342824274, 11.59181245841113, 
       {0.4893232303415929, -0.2763242270947273, 0.04865287772256473, 
        0.1551563588504771, -0.01373801044890675, -0.01215513957053192}, 
       {0, 0, 0, 0, 0}}, {11.80584992308493, 11.70979342824274, 
       {0.4633677661579008, -0.2626733185467185, 0.0931804529562815, 
        0.1520819388617651, -0.01215702453645389, -0.005976370351891731}, 
       {0, 0, 0, 0, 0}}, {11.90190641792712, 11.80584992308493, 
       {0.4391290731687388, -0.2406284706283534, 0.1360586485835396, 
        0.1457848981139132, -0.01742454313757883, -0.007972839338736143}, 
       {0, 0, 0, 0, 0}}, {11.9979629127693, 11.90190641792712, 
       {0.4173979844024994, -0.2105260018635804, 0.1769646555211598, 
        0.1380169033702004, -0.02200641933696511, -0.00859968810853848}, 
       {0, 0, 0, 0, 0}}, {12.09401940761149, 11.9979629127693, 
       {0.398927356039935, -0.1728332477770082, 0.214974344301008, 0.1264940676230905, 
        -0.03120942203231142, -0.0128244712189106}, {0, 0, 0, 0, 0}}, 
      {12.19007590245367, 12.09401940761149, 
       {0.3844166644314174, -0.1282029524815155, 0.248994784061794, 
        0.1104537137089057, -0.04376143153057608, -0.01814853867842145}, 
       {0, 0, 0, 0, 0}}, {12.28613239729586, 12.19007590245367, 
       {0.3744912322465356, -0.0775379064844061, 0.2775396898867163, 
        0.0885594919975569, -0.06007473490422996, -0.0244755472384153}, {0, 0, 0, 0, 0}}\
       , {12.40706782178425, 12.28613239729586, 
       {0.3693118085405207, -0.007084303521196953, 0.303020952745073, 
        0.0522761835291899, -0.081329600513814, -0.02874563578365292}, {0, 0, 0, 0, 0}}, 
      {12.50286087027163, 12.40706782178425, 
       {0.3714489883574392, 0.05200117909541203, 0.3121156277680681, 
        0.01263947149656335, -0.1081519793992341, -0.03964765314665115}, 
       {0, 0, 0, 0, 0}}, {12.59865391875901, 12.50286087027163, 
       {0.37929712369363, 0.1117800509078115, 0.3097805285624411, 
        -0.03080410620627981, -0.1234833951392235, -0.03659237335821621}, 
       {0, 0, 0, 0, 0}}, {12.6944469672464, 12.59865391875901, 
       {0.3928102338944246, 0.1698466988686029, 0.2939664077959161, 
        -0.0807040980028567, -0.1392801578829901, -0.03514783243554475}, 
       {0, 0, 0, 0, 0}}, {12.79024001573378, 12.6944469672464, 
       {0.4116981978503496, 0.2235378919540917, 0.2638569200867295, 
        -0.1321307654595578, -0.1445565957769855, -0.02549523039634809}, 
       {0, 0, 0, 0, 0}}, {12.88603306422116, 12.79024001573378, 
       {0.4354094201338522, 0.2700866444524746, 0.2193753389513322, 
        -0.1817095105497374, -0.138534771265673, -0.01026810984261736}, {0, 0, 0, 0, 0}}\
       , {12.98182611270854, 12.88603306422116, 
       {0.4631304990029924, 0.3068340982607688, 0.1617421661615088, 
        -0.2245100395450224, -0.1183442992178811, 0.01070087708443486}, {0, 0, 0, 0, 0}}\
       , {13.07761916119592, 12.98182611270854, 
       {0.4938082232908022, 0.3314745865401102, 0.0934657994535938, 
        -0.2558921935413381, -0.084178343939482, 0.03495366582009388}, {0, 0, 0, 0, 0}}, 
      {13.17341220968331, 13.07761916119592, 
       {0.526195323955929, 0.3423015075131958, 0.01827395819179989, 
        -0.2719144759252239, -0.0383001421162368, 0.05928663048485494}, {0, 0, 0, 0, 0}}\
       , {13.26920525817069, 13.17341220968331, 
       {0.5589182085022293, 0.3384127185549844, -0.05922268642299255, 
        -0.2702690348914779, 0.0144357656264664, 0.07961351038571802}, {0, 0, 0, 0, 0}}, 
      {13.34529055189824, 13.26920525817069, 
       {0.5842073709612043, 0.3248259011907498, -0.1189644830260362, 
        -0.2545406982965879, 0.06366625856521065, 0.0995315843248776}, {0, 0, 0, 0, 0}}, 
      {13.42137584562579, 13.34529055189824, 
       {0.6081225950113734, 0.3023995396473645, -0.174849477823157, 
        -0.2320666441631217, 0.094027666037894, 0.0916424995334667}, {0, 0, 0, 0, 0}}, 
      {13.49746113935334, 13.42137584562579, 
       {0.6300194824899195, 0.2719342290580968, -0.2242750099152987, 
        -0.1989088658215938, 0.12673954251455, 0.0893804529353933}, {0, 0, 0, 0, 0}}, 
      {13.57354643308089, 13.49746113935334, 
       {0.6493267164701288, 0.2345332765884476, -0.2656579502168388, 
        -0.1599261711335242, 0.1473261541746312, 0.07527409649451351}, {0, 0, 0, 0, 0}}, 
      {13.64963172680845, 13.57354643308089, 
       {0.6655661380202626, 0.1915305390947954, -0.2977012469257547, 
        -0.1167907706215769, 0.1588961976686487, 0.05732979805870884}, {0, 0, 0, 0, 0}}, 
      {13.725717020536, 13.64963172680845, 
       {0.6783671989687339, 0.1444058887932825, -0.3197451816445415, 
        -0.07221181966234786, 0.1607138101048695, 0.03630901024806246}, {0, 0, 0, 0, 0}}\
       , {13.81616258822105, 13.725717020536, 
       {0.6887658255860129, 0.0851508630912317, -0.3326974156062862, 
        -0.01891700974891044, 0.1586092280965832, 0.01992388252781058}, {0, 0, 0, 0, 0}}\
       , {13.9066081559061, 13.81616258822105, 
       {0.693735885050009, 0.02477139597387578, -0.3323082713130168, 
        0.02765850595397063, 0.1381548898500533, -0.006137735153861817}, 
       {0, 0, 0, 0, 0}}, {13.99705372359115, 13.9066081559061, 
       {0.693282650847917, -0.03441176335462481, -0.3198776263466756, 
        0.06780107894248429, 0.1132570294540206, -0.02570504509356737}, {0, 0, 0, 0, 0}}\
       , {14.0874992912762, 13.99705372359115, 
       {0.68760758042033, -0.0903965566050469, -0.2974050114007652, 
        0.1000010309251843, 0.0858258481607831, -0.03968617847004545}, {0, 0, 0, 0, 0}}, 
      {14.17794485896125, 14.0874992912762, 
       {0.6770763790249358, -0.1415577631132362, -0.2670218317947417, 
        0.1243495098879304, 0.0596922706687734, -0.04692711508787836}, {0, 0, 0, 0, 0}}, 
      {14.26839042664631, 14.17794485896125, 
       {0.6621841356036285, -0.1866577814557311, -0.2308227828664591, 
        0.1414656036771822, 0.03695259634280172, -0.04826973610964731}, {0, 0, 0, 0, 0}}\
       , {14.35883599433136, 14.26839042664631, 
       {0.6435212479090657, -0.2248194878403949, -0.1906687972610346, 
        0.1524985996623536, 0.01894490191143855, -0.04488982566082009}, {0, 0, 0, 0, 0}}\
       , {14.44928156201641, 14.35883599433136, 
       {0.6217430201350812, -0.2554748980794561, -0.1481013370276437, 
        0.1587310661830852, 0.005872272203913244, -0.03849676578770611}, 
       {0, 0, 0, 0, 0}}, {14.53972712970146, 14.44928156201641, 
       {0.5975444966085004, -0.2783025332606808, -0.1043070147974663, 
        0.1614283349916259, -0.002718849492719389, -0.03069699166268835}, 
       {0, 0, 0, 0, 0}}, {14.65457731597528, 14.53972712970146, 
       {0.5644534156746646, -0.2958067422360194, -0.04836626227979492, 
        0.1601964949934928, -0.01275977011395601, -0.02541229466571317}, 
       {0, 0, 0, 0, 0}}, {14.76942750224909, 14.65457731597528, 
       {0.5300898218093128, -0.3004797616876909, 0.007220635167054081, 
        0.1582393591271797, -0.01381329485684457, -0.01598121957465988}, 
       {0, 0, 0, 0, 0}}, {14.88427768852291, 14.76942750224909, 
       {0.4959170394788845, -0.2925288644683147, 0.06156880606133047, 
        0.154507216155577, -0.01418083445175822, -0.00984474497861856}, {0, 0, 0, 0, 0}}\
       , {14.97987154147985, 14.88427768852291, 
       {0.4686509547023328, -0.2765293183864989, 0.1055192150553396, 
        0.1506461308998496, -0.01336979339986272, -0.005228107903593626}, 
       {0, 0, 0, 0, 0}}, {15.0754653944368, 14.97987154147985, 
       {0.4433104036370754, -0.2522965961755637, 0.1477005574466185, 
        0.1438724362881459, -0.0185219923577264, -0.0074486055484896}, {0, 0, 0, 0, 0}}, 
      {15.17105924739374, 15.0754653944368, 
       {0.4206656745681344, -0.2201971369092627, 0.1877116575239712, 
        0.1352880598803523, -0.02392336715484195, -0.00898943289039982}, 
       {0, 0, 0, 0, 0}}, {15.26665310035069, 15.17105924739374, 
       {0.4014460561179695, -0.1807349166760623, 0.2246024357487908, 
        0.1227944332049789, -0.03387891005245653, -0.01372519368933516}, 
       {0, 0, 0, 0, 0}}, {15.36224695330763, 15.26665310035069, 
       {0.3863237934040667, -0.1346085570715219, 0.2572178677137328, 
        0.1055478176270812, -0.04724901241874253, -0.01942420584873309}, 
       {0, 0, 0, 0, 0}}, {15.45784080626458, 15.36224695330763, 
       {0.3758924954708581, -0.0827759253770362, 0.2840227982475962, 
        0.0822694927297571, -0.06423641088211893, -0.02587083381616095}, 
       {0, 0, 0, 0, 0}}, {15.57832997735504, 15.45784080626458, 
       {0.370167578789177, -0.01133018047731466, 0.3068138945271789, 
        0.04407354682882254, -0.0860129222922154, -0.02998123460615833}, 
       {0, 0, 0, 0, 0}}, {15.67090937869032, 15.57832997735504, 
       {0.3717737374001531, 0.04623432238889108, 0.3133356255601736, 
        0.004318665804302685, -0.112235236422872, -0.04064804834395542}, 
       {0, 0, 0, 0, 0}}, {15.7634887800256, 15.67090937869032, 
       {0.3787359887477396, 0.1040349729031001, 0.3089349183194764, 
        -0.0382370880677184, -0.1252857312849275, -0.03566606318488544}, 
       {0, 0, 0, 0, 0}}, {15.85606818136089, 15.7634887800256, 
       {0.3909761504862002, 0.1598613021289025, 0.2917944198024379, 
        -0.0866545967059144, -0.1393999982169567, -0.03359610211653865}, 
       {0, 0, 0, 0, 0}}, {15.94864758269617, 15.85606818136089, 
       {0.4082007856705573, 0.2113010663136555, 0.2613538001506114, 
        -0.1358031619705186, -0.1425609063065167, -0.02288907499174027}, 
       {0, 0, 0, 0, 0}}, {16.04122698403145, 15.94864758269617, 
       {0.4298890079840164, 0.2558776355948779, 0.2176690032188837, 
        -0.1827656258404966, -0.1351203371859133, -0.007303877282756253}, 
       {0, 0, 0, 0, 0}}, {16.13380638536673, 16.04122698403145, 
       {0.4552945477912358, 0.2912331533613683, 0.1619622328816131, 
        -0.2230409814284967, -0.1144568336973293, 0.01347348448291362}, {0, 0, 0, 0, 0}}\
       , {16.22638578670201, 16.13380638536673, 
       {0.4834662791951318, 0.315335168414679, 0.0965610657404389, 
        -0.2525521744443533, -0.0810941339779128, 0.03691357045584986}, {0, 0, 0, 0, 0}}\
       , {16.31896518803729, 16.22638578670201, 
       {0.5132879274981507, 0.326680889561829, 0.02483845613302437, 
        -0.2678343819543858, -0.03719320657733311, 0.06008394809415006}, 
       {0, 0, 0, 0, 0}}, {16.41154458937258, 16.31896518803729, 
       {0.543535350363631, 0.3244663907145489, -0.04908147924915569, 
        -0.2668612553518779, 0.01283205850168057, 0.07927835638502812}, {0, 0, 0, 0, 0}}\
       , {16.48753945002744, 16.41154458937258, 
       {0.5677950450564109, 0.3124891397963301, -0.1081637840076629, 
        -0.2524540435324316, 0.05967130091016895, 0.0968748138636686}, {0, 0, 0, 0, 0}}, 
      {16.5635343106823, 16.48753945002744, 
       {0.5908088072018933, 0.2917746710247719, -0.1635235112985145, 
        -0.2305440091471138, 0.0913393134586587, 0.0914618927162369}, {0, 0, 0, 0, 0}}, 
      {16.63952917133715, 16.5635343106823, 
       {0.611939578248448, 0.2630901317842986, -0.2126809822469957, 
        -0.1985002140478655, 0.1232625834590468, 0.0884828502533893}, {0, 0, 0, 0, 0}}, 
      {16.71552403199201, 16.63952917133715, 
       {0.6306205969628122, 0.2275033515725981, -0.2540091966115943, 
        -0.160420651041477, 0.1441955100441826, 0.07512585986505717}, {0, 0, 0, 0, 0}}, 
      {16.79151889264687, 16.71552403199201, 
       {0.6463754607109351, 0.1863127728626863, -0.2862167927057808, 
        -0.1181473495352618, 0.1561109995198374, 0.05761898464623729}, {0, 0, 0, 0, 0}}, 
      {16.86751375330173, 16.79151889264687, 
       {0.6588326244590668, 0.140964999658785, -0.3086204009662486, 
        -0.07430528670597876, 0.1584354748148664, 0.03701837235991574}, {0, 0, 0, 0, 0}}\
       , {16.9573373963983, 16.86751375330173, 
       {0.6689572751876935, 0.0840678487977356, -0.3221796087447629, 
        -0.02205249279192907, 0.1567896761146584, 0.02074521896316078}, {0, 0, 0, 0, 0}}\
       , {17.04716103949486, 16.9573373963983, 
       {0.6738972039591414, 0.02591673049225445, -0.3227000215571691, 
        0.02391005085664805, 0.1373720452254352, -0.00484687293528687}, {0, 0, 0, 0, 0}}\
       , {17.13698468259143, 17.04716103949486, 
       {0.6736430077591244, -0.03123135243244906, -0.3113964022017476, 
        0.0637609589177285, 0.1134500863024825, -0.02421383624244838}, {0, 0, 0, 0, 0}}, 
      {17.22680832568799, 17.13698468259143, 
       {0.6683752870165059, -0.0854178972538417, -0.2901661787338192, 
        0.0959810472128735, 0.0868580557030715, -0.03821207112527298}, {0, 0, 0, 0, 0}}, 
      {17.31663196878456, 17.22680832568799, 
       {0.6584347614646797, -0.1350411930146968, -0.2610502307788093, 
        0.1205935659264541, 0.0613178775501012, -0.04567419639247225}, {0, 0, 0, 0, 0}}, 
      {17.40645561188112, 17.31663196878456, 
       {0.6442893490445706, -0.1788695360895336, -0.2260696587753784, 
        0.1381433886527717, 0.03890524973407318, -0.0473659685568112}, {0, 0, 0, 0, 0}}, 
      {17.49627925497769, 17.40645561188112, 
       {0.6265017406866898, -0.2160179646186495, -0.1870341051242497, 
        0.1497019527052148, 0.02097636221557753, -0.04438765982732876}, {0, 0, 0, 0, 0}}\
       , {17.58610289807426, 17.49627925497769, 
       {0.6057002439769367, -0.2459013054288527, -0.1454555031234102, 
        0.1564862266383784, 0.007789766948012972, -0.03837702737387644}, 
       {0, 0, 0, 0, 0}}, {17.67592654117082, 17.58610289807426, 
       {0.5825544391400701, -0.2681756965161455, -0.102509888907195, 
        0.1597119263935478, -0.001040900673505633, -0.03089111018021603}, 
       {0, 0, 0, 0, 0}}, {17.78809170152554, 17.67592654117082, 
       {0.5514133736336725, -0.2850738500510505, -0.04835123975948569, 
        0.159231127925038, -0.01096697296571394, -0.02561427782415099}, {0, 0, 0, 0, 0}}\
       , {17.90025686188025, 17.78809170152554, 
       {0.5190589881792052, -0.2898197191303763, 0.00564741997268988, 
        0.1577758440122875, -0.01255561070970276, -0.01650163706248354}, 
       {0, 0, 0, 0, 0}}, {18.01242202223497, 17.90025686188025, 
       {0.4868472127870247, -0.2825671416878326, 0.05862262846130586, 
        0.154497475991156, -0.01334512129986281, -0.01046408799165712}, {0, 0, 0, 0, 0}}\
       , {18.12458718258969, 18.01242202223497, 
       {0.4561086914055118, -0.2636069909537495, 0.1100284648735684, 
        0.1495782470084806, -0.01465782344462026, -0.007214716526517396}, 
       {0, 0, 0, 0, 0}}, {18.23675234294441, 18.12458718258969, 
       {0.4281341146109898, -0.2333660657283888, 0.159162901826412, 
        0.1421370514883929, -0.01862210622603955, -0.00715629096986514}, 
       {0, 0, 0, 0, 0}}, {18.34891750329912, 18.23675234294441, 
       {0.4041563857662383, -0.1924613401733374, 0.204980867857199, 
        0.1307855834226644, -0.02664008123303626, -0.01001246654055602}, 
       {0, 0, 0, 0, 0}}, {18.46108266365384, 18.34891750329912, 
       {0.3853239721694287, -0.1418019933389327, 0.2458898395633981, 
        0.113631294968049, -0.03978681722903279, -0.01538417832474295}, {0, 0, 0, 0, 0}}\
       , {18.57324782400856, 18.46108266365384, 
       {0.3726608323947914, -0.0827229737026378, 0.279665408832092, 
        0.0886843035718445, -0.05827395928804635, -0.02241616428846458}, 
       {0, 0, 0, 0, 0}}, {18.68541298436327, 18.57324782400856, 
       {0.3670107019246238, -0.01712558609795381, 0.3034864569654791, 
        0.05428682916002126, -0.0812231904430705, -0.02981786928309137}, 
       {0, 0, 0, 0, 0}}, {18.79757814471799, 18.68541298436327, 
       {0.3689668028469599, 0.05241007020289891, 0.314157527728057, 
        0.00974935526452673, -0.1062456328595554, -0.03573757693018444}, 
       {0, 0, 0, 0, 0}}, {18.88310003685226, 18.79757814471799, 
       {0.3757462214217987, 0.1060568870827415, 0.3114512108145758, 
        -0.03096492461477897, -0.1259250434180483, -0.03985131618634714}, 
       {0, 0, 0, 0, 0}}, {18.96862192898653, 18.88310003685226, 
       {0.3870693636451664, 0.1583668458145753, 0.2982589997595443, 
        -0.0740776056142356, -0.135751064482087, -0.033102374059462}, {0, 0, 0, 0, 0}}, 
      {19.0541438211208, 18.96862192898653, 
       {0.4027421911657497, 0.2074512133191715, 0.2736118384568916, 
        -0.1200838195974883, -0.1427557954772318, -0.02641388095443363}, 
       {0, 0, 0, 0, 0}}, {19.13966571325507, 19.0541438211208, 
       {0.4224048336754759, 0.2513421775810297, 0.2374746076954741, 
        -0.1648370746385553, -0.1389827055338675, -0.01231885573317678}, 
       {0, 0, 0, 0, 0}}, {19.22518760538934, 19.13966571325507, 
       {0.4455297867859727, 0.2881070392846361, 0.1903977723222972, 
        -0.2056927945221893, -0.1252338397180049, 0.005469829336754457}, 
       {0, 0, 0, 0, 0}}, {19.31070949752361, 19.22518760538934, 
       {0.4714305548736463, 0.3159849696131609, 0.1338282441808758, 
        -0.239044316636845, -0.1001203829224711, 0.02677385379601075}, {0, 0, 0, 0, 0}}, 
      {19.39623138965789, 19.31070949752361, 
       {0.4992824989404001, 0.3335295546309788, 0.07000767759805954, 
        -0.2618620676895207, -0.06493347418990191, 0.04897930782267704}, 
       {0, 0, 0, 0, 0}}, {19.48175328179216, 19.39623138965789, 
       {0.5281554878348831, 0.3397402952255393, 0.001881374327006755, 
        -0.271752757465513, -0.02209055249767691, 0.06946426739839098}, {0, 0, 0, 0, 0}}\
       , {19.56727517392643, 19.48175328179216, 
       {0.5570566545546578, 0.3341639206701895, -0.06714196207222522, 
        -0.2674954295656995, 0.02448494328327447, 0.0852468161159105}, {0, 0, 0, 0, 0}}, 
      {19.6527970660607, 19.56727517392643, 
       {0.584979934638746, 0.3169495831936897, -0.1334921107263777, 
        -0.2492160826389732, 0.07012893275615801, 0.093844983607507}, {0, 0, 0, 0, 0}}, 
      {19.73831895819497, 19.6527970660607, 
       {0.6109579727716066, 0.2888480538614692, -0.1937776556502415, 
        -0.2184154743136921, 0.1101240243375795, 0.0937197186094067}, {0, 0, 0, 0, 0}}, 
      {19.82384085032924, 19.73831895819497, 
       {0.6341114852623515, 0.251153680201149, -0.2451036307003585, 
        -0.1777464392301028, 0.1405335685110858, 0.0846779222561103}, {0, 0, 0, 0, 0}}, 
      {19.91948351282646, 19.82384085032924, 
       {0.6557429257050346, 0.1997783549585104, -0.2893333784991141, 
        -0.1260535524760782, 0.1504410520448309, 0.03298659682166996, 
        -0.04177294003025148}, {0, 0, 0, 0, 0, 0}}, 
      {20., 19.91948351282646, {0.6698916275074934, 0.1509924669492211, 
        -0.3146671120037508, -0.0819041403777226, 0.1385277101812288, 
        -0.02424469121909889, -0.06733763215489301}, {0, 0, 0, 0, 0, 0}}}]}}
















;[o]
{{y -> InterpolatingFunction[{0., 20.}, <>]}}
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Plot[ Evaluate[ y[x] /. %], {x, 0, 20} ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = output; inactive; formatted; output; endGroup; endGroup; nowordwrap; ]
No Input Form was saved for this expression.
















;[o]
-Graphics-
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
Solving Equations
:[font = text; inactive; preserveAspect; nohscroll; ]
This is how you solve a quadratic equation in Mathematica.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Solve[x^2 + 2 a x + 1 == 0, x]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
{{x -> (-2*a + (-4 + 4*a^2)^(1/2))/2}, 
   {x -> (-2*a - (-4 + 4*a^2)^(1/2))/2}}























































































;[o]
                           2
       -2 a + Sqrt[-4 + 4 a ]
{{x -> ----------------------}, 
                 2
 
                             2
         -2 a - Sqrt[-4 + 4 a ]
   {x -> ----------------------}}
                   2
:[font = text; inactive; preserveAspect; nohscroll; ]
Here's a more complicated example.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Solve[x^5 + 3x + 1 == 0, x]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
{ToRules[Roots[3*x + x^5 == -1, x]]}























































































;[o]
                      5
{ToRules[Roots[3 x + x  == -1, x]]}
:[font = text; inactive; preserveAspect; nohscroll; ]
It is a fact of mathematics that there is no way to get an exact formula for the solutions of a quintic equation like this.  You can nevertheless ask Mathematica to give you numerical results.  You get the five complex number roots to the equation.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
N[%]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
{{x -> -0.839072 - 0.943852*I}, 
   {x -> -0.839072 + 0.943852*I}, {x -> -0.331989}, 
   {x -> 1.00507 - 0.937259*I}, {x -> 1.00507 + 0.937259*I}}























































































;[o]
{{x -> -0.839072 - 0.943852 I}, 
 
   {x -> -0.839072 + 0.943852 I}, {x -> -0.331989}, 
 
   {x -> 1.00507 - 0.937259 I}, {x -> 1.00507 + 0.937259 I}}
:[font = text; inactive; preserveAspect; nohscroll; ]
When equations contain complicated functions there is in general no systematic procedure for finding all solutions, even numerically.  The Mathematica function FindRoot searches for a numerical solution to an equation, starting at a specified point.  
:[font = input; preserveAspect; startGroup; nowordwrap; ]
FindRoot[{Sin[x] == x - y, Cos[y] == x + y},
                         {x, 1}, {y, 0}]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
{x -> 0.883402, y -> 0.1105}
:[font = text; inactive; preserveAspect; nohscroll; ]
Mathematica also has an efficient routine for finding the solution to linear equations. 
Here's a simple example.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
LinearSolve[{{1.02, 5.9}, {2.87, 1.9}}, {1.9, 1.06}]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; endGroup; endGroup; nowordwrap; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.























































































;[o]
{0.176325, 0.291551}
:[font = section; inactive; preserveAspect; startGroup; nohscroll; ]
Graphics
:[font = text; inactive; preserveAspect; nohscroll; ]
Here is a simple Mathematica  plot. 
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Plot[Sin[x], {x, 0, 2Pi}]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form was saved for this expression.
















;[o]
-Graphics-
:[font = text; inactive; preserveAspect; nohscroll; ]
There are many options you can specify for a plot.  Using Show you can redraw the previous plot 
with specified options.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Show[% , Frame -> True, 
            PlotLabel  -> "The Sine Function"]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 299; pictureHeight = 185; nowordwrap; ]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form was saved for this expression.
















;[o]
-Graphics-
:[font = text; inactive; preserveAspect; nohscroll; ]
Now for some three-dimensional graphics.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Plot3D[Sin[x] Sin[3 y], {x, -2, 2}, {y, -2, 2}]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 300; pictureHeight = 246; nowordwrap; ]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form was saved for this expression.
















;[o]
-SurfaceGraphics-
:[font = text; inactive; preserveAspect; nohscroll; ]
Here is a contour plot of the same function.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
Show[ ContourGraphics[ % ], ContourShading -> False,
                            ContourSmoothing -> True]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 300; pictureHeight = 300; nowordwrap; ]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form was saved for this expression.
















;[o]
-ContourGraphics-
:[font = text; inactive; preserveAspect; nohscroll; ]
This generates a three-dimensional parametric surface.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
ParametricPlot3D[ {u Sin[t], u Cos[t], t/3},
              {t, 0, 12}, {u, -1, 1}, Ticks -> None]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 187; pictureHeight = 300; nowordwrap; ]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form was saved for this expression.
















;[o]
-Graphics3D-
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
Mathematica generates all graphics in PostScript, so that you can resize pictures, and make use of 
the resolution available on different types of printers.  However, due to space limitations, all of the
graphics on this disk have been re-rendered into bitmap form.  Resizing bitmaps may cause considerable
distortion of the graphic.
:[font = section; inactive; preserveAspect; startGroup; nohscroll; ]
Animated Graphics 
:[font = text; inactive; preserveAspect; nohscroll; ]
You can use sequences of graphics cells in a notebook as frames in a "movie".
:[font = text; inactive; preserveAspect; nohscroll; ]
This notebook contains a sample of animation in Mathematica.  Due to disk space limitations, this is 
a simple black and white example.  Look at the Color Movie notebook on your disk for an 
example of animated  color graphics.
:[font = text; inactive; preserveAspect; nohscroll; ]
To view the movie:
:[font = smalltext; inactive; preserveAspect; nohscroll; ]
First select it by clicking (once) the bracket that spans the group containing the frames of the movie.

Often the movie group will be closed, so that only the first frame is visible.  In this case the group's
bracket has an angle at the bottom.  Simply click this bracket; you do not have to open the 
group to be able to see the movie.

You should be sure to click the correct bracket.  Clicking the innermost bracket selects only 
a  single frame, and clicking a bracket too far to the right might select several movies at once.
 
:[font = text; inactive; preserveAspect; nohscroll; ]
Once you have selected the group of cells that make up the movie, you can start the movie by 
pressing Ctrl+Y. (As an alternative, you can choose the Animate Selected Graphics command in the 
Graph menu.)  You can stop the movie by clicking anywhere inside the window.
:[font = text; inactive; preserveAspect; nohscroll; ]
For information on other controls for viewing Mathematica movies, see the notebook 
READ1ST.MA.
:[font = text; inactive; preserveAspect; nohscroll; ]


:[font = input; locked; nowordwrap; ]
Do[Plot3D[Cos[Sqrt[x^2 + y^2]+Abs[n-2Pi]]/
	Sqrt[x^2 + y^2 + 1/4],
	{x,-4Pi,4Pi},{y,-4Pi,4Pi},
	PlotPoints->26,Lighting->True,PlotRange->{-2,2},
	BoxRatios->{1,1,1},Boxed->False,Axes->None],
	{n, 0, 2Pi - (2Pi/16), 2Pi/16}]
:[font = postscript; inactive; formatted; output; startGroup; Cclosed; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = postscript; inactive; formatted; output; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = postscript; inactive; formatted; output; endGroup; endGroup; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 278; pictureHeight = 300; nowordwrap; ]
:[font = section; inactive; preserveAspect; startGroup; nohscroll; ]
Programming in Mathematica
:[font = text; inactive; preserveAspect; nohscroll; ]

You can use Mathematica not only as a "calculator", but also as a full symbolic programming language.

Many application packages covering specific areas have been or are being written in the Mathematica language.
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
 A Graphics Application Package
:[font = input; preserveAspect; nowordwrap; ]

Needs["Graphics`Polyhedra`"]

:[font = text; inactive; preserveAspect; nohscroll; ]
This loads in a package that defines properties of polyhedra.  The package defines, among other things, the geometry of a dodecahedron.
:[font = input; preserveAspect; startGroup; nowordwrap; ]

Dodecahedron[ ] // Short

:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
Short[{Polygon[{{0.5257311121191336, 0.3819660112501051, 0.85065080835204}, 
     {-0.2008114158862272, 0.6180339887498949, 0.85065080835204}, 
     {-0.6498393924658127, 0., 0.85065080835204}, 
     {-0.2008114158862272, -0.6180339887498949, 0.85065080835204}, 
     {0.5257311121191336, -0.3819660112501051, 0.85065080835204}}], 
   Polygon[{{0.5257311121191336, 0.3819660112501051, 0.85065080835204}, 
     {0.5257311121191336, -0.3819660112501051, 0.85065080835204}, 
     {0.85065080835204, -0.6180339887498949, 0.2008114158862273}, 
     {1.051462224238267, 0., -0.2008114158862273}, 
     {0.85065080835204, 0.6180339887498949, 0.2008114158862273}}], 
   Polygon[{{0.5257311121191336, 0.3819660112501051, 0.85065080835204}, 
     {0.85065080835204, 0.6180339887498949, 0.2008114158862273}, 
     {0.3249196962329063, 1., -0.2008114158862273}, 
     {-0.3249196962329063, 1., 0.2008114158862273}, 
     {-0.2008114158862272, 0.6180339887498949, 0.85065080835204}}], 
   Polygon[{{-0.2008114158862272, 0.6180339887498949, 0.85065080835204}, 
     {-0.3249196962329063, 1., 0.2008114158862273}, 
     {-0.85065080835204, 0.618033988749895, -0.2008114158862273}, 
     {-1.051462224238267, 0., 0.2008114158862273}, 
     {-0.6498393924658127, 0., 0.85065080835204}}], 
   Polygon[{{-0.6498393924658127, 0., 0.85065080835204}, 
     {-1.051462224238267, 0., 0.2008114158862273}, 
     {-0.85065080835204, -0.618033988749895, -0.2008114158862273}, 
     {-0.3249196962329063, -1., 0.2008114158862273}, 
     {-0.2008114158862272, -0.6180339887498949, 0.85065080835204}}], 
   Polygon[{{-0.2008114158862272, -0.6180339887498949, 0.85065080835204}, 
     {0.5257311121191336, -0.3819660112501051, 0.85065080835204}, 
     {0.85065080835204, -0.6180339887498949, 0.2008114158862273}, 
     {0.3249196962329063, -1., -0.2008114158862273}, 
     {-0.3249196962329063, -1., 0.2008114158862273}}], 
   Polygon[{{0.85065080835204, 0.6180339887498949, 0.2008114158862273}, 
     {1.051462224238267, 0., -0.2008114158862273}, 
     {0.6498393924658128, 0., -0.85065080835204}, 
     {0.2008114158862273, 0.618033988749895, -0.85065080835204}, 
     {0.3249196962329063, 1., -0.2008114158862273}}], 
   Polygon[{{-0.3249196962329063, 1., 0.2008114158862273}, 
     {0.3249196962329063, 1., -0.2008114158862273}, 
     {0.2008114158862273, 0.618033988749895, -0.85065080835204}, 
     {-0.5257311121191338, 0.3819660112501052, -0.85065080835204}, 
     {-0.85065080835204, 0.618033988749895, -0.2008114158862273}}], 
   Polygon[{{-1.051462224238267, 0., 0.2008114158862273}, 
     {-0.85065080835204, 0.618033988749895, -0.2008114158862273}, 
     {-0.5257311121191338, 0.3819660112501052, -0.85065080835204}, 
     {-0.5257311121191338, -0.3819660112501052, -0.85065080835204}, 
     {-0.85065080835204, -0.618033988749895, -0.2008114158862273}}], 
   Polygon[{{-0.3249196962329063, -1., 0.2008114158862273}, 
     {-0.85065080835204, -0.618033988749895, -0.2008114158862273}, 
     {-0.5257311121191338, -0.3819660112501052, -0.85065080835204}, 
     {0.2008114158862273, -0.618033988749895, -0.85065080835204}, 
     {0.3249196962329063, -1., -0.2008114158862273}}], 
   Polygon[{{0.85065080835204, -0.6180339887498949, 0.2008114158862273}, 
     {0.3249196962329063, -1., -0.2008114158862273}, 
     {0.2008114158862273, -0.618033988749895, -0.85065080835204}, 
     {0.6498393924658128, 0., -0.85065080835204}, 
     {1.051462224238267, 0., -0.2008114158862273}}], 
   Polygon[{{0.2008114158862273, 0.618033988749895, -0.85065080835204}, 
     {0.6498393924658128, 0., -0.85065080835204}, 
     {0.2008114158862273, -0.618033988749895, -0.85065080835204}, 
     {-0.5257311121191338, -0.3819660112501052, -0.85065080835204}, 
     {-0.5257311121191338, 0.3819660112501052, -0.85065080835204}}]}]















;[o]
{Polygon[<<1>>], <<10>>, Polygon[{{0.200811, 0.618034, -0.850651}, <<4>>}]}
:[font = text; inactive; preserveAspect; nohscroll; ]
The Dodecahedron function gives the coordinates for the faces of a dodecahedron, shown here in shortened form.
:[font = input; preserveAspect; startGroup; nowordwrap; ]

Show[Graphics3D[ % ]];

:[font = postscript; inactive; formatted; output; endGroup; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 300; pictureHeight = 300; nowordwrap; ]
:[font = text; inactive; preserveAspect; nohscroll; ]

This shows the dodecahedron as a three-dimensional graphical object.

As another example, we can use the definitions from the polyhedra package to create an image of a stellated icosahedron, which is often used as an icon for the Mathematica system.
:[font = input; preserveAspect; startGroup; nowordwrap; ]

Show[ Stellate[ Polyhedron[ Icosahedron ]] ];

:[font = postscript; inactive; formatted; output; endGroup; endGroup; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 300; pictureHeight = 300; nowordwrap; ]
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
  More on Programming
:[font = text; inactive; preserveAspect; nohscroll; ]
There are several styles of programming in Mathematica.  One of them is procedural programming, as you would find in a standard structured programming language such as C or Pascal.

Another is "rule-based programming".  The idea is to give transformation rules which specify how Mathematica should transform expressions it receives as input. 

You can give rules that mimic the formulas you might find in a mathematics textbook.

Here is an example of how you might teach Mathematica about a new form of logarithm function, called nlog.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
nlog[a b c d^2]

:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
nlog[a*b*c*d^2]















































;[o]
            2
nlog[a b c d ]
:[font = text; inactive; preserveAspect; nohscroll; ]

Mathematica  initially knows nothing about our new function, so it does nothing to expressions involving nlogs.
:[font = input; preserveAspect; nowordwrap; ]

nlog[x_ y_] := nlog[x] + nlog[y]

:[font = text; inactive; preserveAspect; nohscroll; ]
This tells Mathematica how to expand logarithms of products.
:[font = input; preserveAspect; startGroup; nowordwrap; ]

nlog[a b c d^2]

:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
nlog[a] + nlog[b] + nlog[c] + nlog[d^2]















































;[o]
                                    2
nlog[a] + nlog[b] + nlog[c] + nlog[d ]
:[font = text; inactive; preserveAspect; nohscroll; ]
Now Mathematica can expand the nlog out. 
:[font = input; preserveAspect; nowordwrap; ]

nlog[x_^n_] := n nlog[x]

:[font = text; inactive; preserveAspect; nohscroll; ]
This gives a rule for nlog of a power.
:[font = input; preserveAspect; startGroup; nowordwrap; ]
nlog[a b c d^2]

:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
nlog[a] + nlog[b] + nlog[c] + 2*nlog[d]















































;[o]
nlog[a] + nlog[b] + nlog[c] + 2 nlog[d]
:[font = text; inactive; preserveAspect; nohscroll; ]
Now Mathematica can expand the expression completely.
:[font = text; inactive; preserveAspect; nohscroll; ]

Another style of programming you can use in Mathematica is functional programming.  In functional programming, you specify a collection of functions to apply.  This style of programming often yields compact, elegant programs that make good use of Mathematica's many integrated capabilities.
:[font = text; inactive; preserveAspect; nohscroll; ]
This is a program that plots the solutions to a polynomial equation as points in the complex plane.
:[font = input; preserveAspect; nowordwrap; ]
RootPlot[poly_, z] :=
	ListPlot[{Re[z], Im[z]} /. NSolve[ poly == 0, z],
                        AspectRatio -> Automatic ]                          
:[font = text; inactive; preserveAspect; nohscroll; ]
You can immediately use the program to plot solutions.
:[font = input; preserveAspect; startGroup; nowordwrap; ]

RootPlot[ z^7 - 1 , z];

:[font = postscript; inactive; formatted; output; endGroup; BITMAP; pictureLeft = 100; pictureTop = 0; pictureWidth = 292; pictureHeight = 300; nowordwrap; ]
:[font = text; inactive; preserveAspect; nohscroll; ]
Here is a program written in functional programming style, which finds the first n terms in the continued fraction decomposition of the number x.
:[font = input; preserveAspect; nowordwrap; ]
ContinuedFraction[x_Real, n_Integer] :=
 Floor[ NestList[ 
     Function[{u}, 1/(u - Floor[u])], x, n - 1] ] 
:[font = input; preserveAspect; startGroup; nowordwrap; ]
ContinuedFraction[.34252515, 7]

:[font = output; inactive; formatted; output; endGroup; endGroup; endGroup; nowordwrap; ]
{0, 2, 1, 11, 2, 2, 1}















































;[o]
{0, 2, 1, 11, 2, 2, 1}
:[font = section; inactive; preserveAspect; startGroup; nohscroll; ]
The Mathematica User Interface
:[font = text; inactive; preserveAspect; nohscroll; ]
Mathematica consists of two parts -- the "kernel", which actually does computations, and the "front end", which deals with interaction with the user.  The kernel of Mathematica is essentially the same on all computers that support Mathematica.  The front end, on the other hand, works differently on different kinds of computers. 

Mathematica for Windows has a sophisticated front end that takes advantage of the Windows graphical user interface.
:[font = text; inactive; preserveAspect; endGroup; endGroup; nohscroll; ]
One of the most important aspects of the Windows front end is its ability to support Mathematica notebooks.  

This file is an example of a notebook.  Notebooks consist of a mixture of text, graphics, and Mathematica input.

Notebooks can be used like "interactive textbooks" --  you read the text in the notebook, then use the Mathematica input in the notebook to perform calculations.
^*)